!******************************************************************************!
!                                                                              !
!    vertices_info2.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info2.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-04-01 12:00             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info2
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl2()
      allocate(vertices(800)%branch(0:0))
      call av(800, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_25/))

      allocate(vertices(801)%branch(0:0))
      call av(801, 0, 18, 1, 0, FaFS0, (/0, 1/), (/nGC_80, nGC_110/))

      allocate(vertices(802)%branch(0:0))
      call av(802, 0, 8, 1, 0, UVUa0, (/0, 1/), (/nGC_423/))

      allocate(vertices(803)%branch(0:0))
      call av(803, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_9/))

      allocate(vertices(804)%branch(0:0))
      call av(804, 0, 20, 1, 0, VFFa1, (/0, 1/), (/nGC_33/))

      allocate(vertices(805)%branch(0:0))
      call av(805, 0, 10, 1, 0, FFaS0, (/0, 1/), (/nGC_109, nGC_109/))

      allocate(vertices(806)%branch(0:0))
      call av(806, 0, 8, 1, 0, FFaV0, (/0, 1/), (/nGC_56/))

      allocate(vertices(807)%branch(0:0))
      call av(807, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_26/))

      allocate(vertices(808)%branch(0:0))
      call av(808, 0, 8, 1, 0, UaUS0, (/0, 1/), (/nGC_49/))

      allocate(vertices(809)%branch(0:0))
      call av(809, 0, 20, 1, 0, SFFa0, (/0, 1/), (/nGC_91, nGC_92/))

      allocate(vertices(810)%branch(0:0))
      call av(810, 0, 17, 1, 0, FSFa0, (/0, 1/), (/nGC_108, nGC_108/))

      allocate(vertices(811)%branch(0:0))
      call av(811, 0, 8, 1, 0, SSV0, (/0, 1/), (/nGC_35/))

      allocate(vertices(812)%branch(0:0))
      call av(812, 0, 20, 1, 0, VFFa0, (/0, 1/), (/nGC_2, nGC_2/))

      allocate(vertices(813)%branch(0:0))
      call av(813, 0, 19, 1, 0, FaVF0, (/0, 1/), (/nGC_2, nGC_2/))

      allocate(vertices(814)%branch(0:0))
      call av(814, 0, 21, 1, 0, VFaF1, (/0, 1/), (/nGC_33/))

      allocate(vertices(815)%branch(0:0))
      call av(815, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_40/))

      allocate(vertices(816)%branch(0:1))
      call av(816, 0, 11, 2, 0, FFaV1, (/1, 0/), (/nGC_11, nGC_11/))

      call av(816, 1, 12, 3, 0, FFaV1, (/1, 0/), (/nGC_11, nGC_11/))

      allocate(vertices(817)%branch(0:0))
      call av(817, 0, 8, 1, 0, SUaU0, (/0, 1/), (/nGC_42/))

      allocate(vertices(818)%branch(0:0))
      call av(818, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_30/))

      allocate(vertices(819)%branch(0:0))
      call av(819, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_74/))

      allocate(vertices(820)%branch(0:0))
      call av(820, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_58/))

      allocate(vertices(821)%branch(0:0))
      call av(821, 0, 8, 1, 0, UaUV0, (/0, 1/), (/nGC_433/))

      allocate(vertices(822)%branch(0:0))
      call av(822, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_40/))

      allocate(vertices(823)%branch(0:0))
      call av(823, 0, 8, 1, 0, FVFa0, (/0, 1/), (/nGC_4, nGC_4/))

      allocate(vertices(824)%branch(0:0))
      call av(824, 0, 8, 1, 0, SUUa0, (/0, 1/), (/nGC_59/))

      allocate(vertices(825)%branch(0:0))
      call av(825, 0, 10, 1, 0, FFaS0, (/0, 1/), (/nGC_91, nGC_92/))

      allocate(vertices(826)%branch(0:0))
      call av(826, 0, 19, 1, 0, FaSF0, (/0, 1/), (/nGC_108, nGC_108/))

      allocate(vertices(827)%branch(0:0))
      call av(827, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_17/))

      allocate(vertices(828)%branch(0:0))
      call av(828, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_13/))

      allocate(vertices(829)%branch(0:0))
      call av(829, 0, 20, 1, 0, VFFa0, (/0, 1/), (/nGC_54, nGC_51/))

      allocate(vertices(830)%branch(0:0))
      call av(830, 0, 17, 1, 0, FVFa0, (/0, 1/), (/nGC_1, nGC_1/))

      allocate(vertices(831)%branch(0:0))
      call av(831, 0, 8, 1, 0, FVFa1, (/0, 1/), (/nGC_56/))

      allocate(vertices(832)%branch(0:0))
      call av(832, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_38/))

      allocate(vertices(833)%branch(0:0))
      call av(833, 0, 18, 1, 0, FaFV1, (/0, 1/), (/nGC_33/))

      allocate(vertices(834)%branch(0:0))
      call av(834, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_7/))

      allocate(vertices(835)%branch(0:0))
      call av(835, 0, 8, 1, 0, FSFa0, (/0, 1/), (/nGC_119, nGC_119/))

      allocate(vertices(836)%branch(0:0))
      call av(836, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_39/))

      allocate(vertices(837)%branch(0:0))
      call av(837, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_9/))

      allocate(vertices(838)%branch(0:0))
      call av(838, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_437, nGC_29, nGC_29/))

      allocate(vertices(839)%branch(0:0))
      call av(839, 0, 17, 1, 0, FSFa0, (/0, 1/), (/nGC_87, nGC_86/))

      allocate(vertices(840)%branch(0:0))
      call av(840, 0, 8, 1, 0, SFaF0, (/0, 1/), (/nGC_101, nGC_102/))

      allocate(vertices(841)%branch(0:0))
      call av(841, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_8/))

      allocate(vertices(842)%branch(0:0))
      call av(842, 0, 8, 1, 0, VVS0, (/0, 1/), (/nGC_71/))

      allocate(vertices(843)%branch(0:0))
      call av(843, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_24/))

      allocate(vertices(844)%branch(0:0))
      call av(844, 0, 8, 1, 0, FaFV1, (/0, 1/), (/nGC_33/))

      allocate(vertices(845)%branch(0:0))
      call av(845, 0, 21, 1, 0, VFaF0, (/0, 1/), (/nGC_53, nGC_50/))

      allocate(vertices(846)%branch(0:1))
      call av(846, 0, 30, 2, 0, VFaF0, (/1, 0/), (/nGC_11, nGC_11/))

      call av(846, 1, 31, 3, 0, VFaF0, (/1, 0/), (/nGC_11, nGC_11/))

      allocate(vertices(847)%branch(0:0))
      call av(847, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_20/))

      allocate(vertices(848)%branch(0:0))
      call av(848, 0, 18, 1, 0, FaFV0, (/0, 1/), (/nGC_1, nGC_1/))

      allocate(vertices(849)%branch(0:0))
      call av(849, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_17/))

      allocate(vertices(850)%branch(0:0))
      call av(850, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_5, nGC_435, nGC_5/))

      allocate(vertices(851)%branch(0:0))
      call av(851, 0, 8, 1, 0, VVV0, (/0, 1/), (/nGC_3/))

      allocate(vertices(852)%branch(0:0))
      call av(852, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_22/))

      allocate(vertices(853)%branch(0:0))
      call av(853, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_8/))

      allocate(vertices(854)%branch(0:0))
      call av(854, 0, 8, 1, 0, UaSU0, (/0, 1/), (/nGC_49/))

      allocate(vertices(855)%branch(0:0))
      call av(855, 0, 8, 1, 0, FaFV1, (/0, 1/), (/nGC_33/))

      allocate(vertices(856)%branch(0:0))
      call av(856, 0, 8, 1, 0, SVV0, (/0, 1/), (/nGC_71/))

      allocate(vertices(857)%branch(0:0))
      call av(857, 0, 10, 1, 0, FFaV0, (/0, 1/), (/nGC_33/))

      allocate(vertices(858)%branch(0:0))
      call av(858, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_40/))

      allocate(vertices(859)%branch(0:0))
      call av(859, 0, 18, 1, 0, FaFS0, (/0, 1/), (/nGC_83, nGC_83/))

      allocate(vertices(860)%branch(0:0))
      call av(860, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_39/))

      allocate(vertices(861)%branch(0:0))
      call av(861, 0, 21, 1, 0, SFaF0, (/0, 1/), (/nGC_114, nGC_114/))

      allocate(vertices(862)%branch(0:0))
      call av(862, 0, 8, 1, 0, FSFa0, (/0, 1/), (/nGC_103, nGC_103/))

      allocate(vertices(863)%branch(0:0))
      call av(863, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_20/))

      allocate(vertices(864)%branch(0:0))
      call av(864, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_48/))

      allocate(vertices(865)%branch(0:0))
      call av(865, 0, 18, 1, 0, FaFS0, (/0, 1/), (/nGC_85, nGC_105/))

      allocate(vertices(866)%branch(0:0))
      call av(866, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_58/))

      allocate(vertices(867)%branch(0:0))
      call av(867, 0, 8, 1, 0, UUaS0, (/0, 1/), (/nGC_49/))

      allocate(vertices(868)%branch(0:0))
      call av(868, 0, 10, 1, 0, FFaV0, (/0, 1/), (/nGC_33/))

      allocate(vertices(869)%branch(0:1))
      call av(869, 0, 40, 4, 0, VUUa0, (/1, 0/), (/nGC_453/))

      call av(869, 1, 41, 5, 0, VUUa0, (/1, 0/), (/nGC_453/))

      allocate(vertices(870)%branch(0:0))
      call av(870, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_17/))

      allocate(vertices(871)%branch(0:0))
      call av(871, 0, 17, 1, 0, FVFa0, (/0, 1/), (/nGC_53, nGC_50/))

      allocate(vertices(872)%branch(0:0))
      call av(872, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_17/))

      allocate(vertices(873)%branch(0:0))
      call av(873, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_18/))

      allocate(vertices(874)%branch(0:0))
      call av(874, 0, 19, 1, 0, FaVF1, (/0, 1/), (/nGC_33/))

      allocate(vertices(875)%branch(0:0))
      call av(875, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_58/))

      allocate(vertices(876)%branch(0:0))
      call av(876, 0, 20, 1, 0, SFFa0, (/0, 1/), (/nGC_81, nGC_82/))

      allocate(vertices(877)%branch(0:0))
      call av(877, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_79/))

      allocate(vertices(878)%branch(0:0))
      call av(878, 0, 8, 1, 0, SUaU0, (/0, 1/), (/nGC_45/))

      allocate(vertices(879)%branch(0:0))
      call av(879, 0, 8, 1, 0, FaSF2, (/0, 1/), (/nGC_115/))

      allocate(vertices(880)%branch(0:0))
      call av(880, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_66/))

      allocate(vertices(881)%branch(0:0))
      call av(881, 0, 8, 1, 0, FaFS0, (/0, 1/), (/nGC_101, nGC_102/))

      allocate(vertices(882)%branch(0:0))
      call av(882, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_13/))

      allocate(vertices(883)%branch(0:0))
      call av(883, 0, 17, 1, 0, FSFa0, (/0, 1/), (/nGC_85, nGC_105/))

      allocate(vertices(884)%branch(0:0))
      call av(884, 0, 19, 1, 0, FaSF0, (/0, 1/), (/nGC_109, nGC_109/))

      allocate(vertices(885)%branch(0:0))
      call av(885, 0, 8, 1, 0, FaFV1, (/0, 1/), (/nGC_33/))

      allocate(vertices(886)%branch(0:0))
      call av(886, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_75/))

      allocate(vertices(887)%branch(0:0))
      call av(887, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_48/))

      allocate(vertices(888)%branch(0:0))
      call av(888, 0, 8, 1, 0, UaSU0, (/0, 1/), (/nGC_45/))

      allocate(vertices(889)%branch(0:0))
      call av(889, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_20/))

      allocate(vertices(890)%branch(0:1))
      call av(890, 0, 24, 2, 0, FaVF0, (/1, 0/), (/nGC_11, nGC_11/))

      call av(890, 1, 25, 3, 0, FaVF0, (/1, 0/), (/nGC_11, nGC_11/))

      allocate(vertices(891)%branch(0:0))
      call av(891, 0, 8, 1, 0, UVUa0, (/0, 1/), (/nGC_433/))

      allocate(vertices(892)%branch(0:0))
      call av(892, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_66/))

      allocate(vertices(893)%branch(0:0))
      call av(893, 0, 8, 1, 0, VSV0, (/0, 1/), (/nGC_68/))

      allocate(vertices(894)%branch(0:0))
      call av(894, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_14/))

      allocate(vertices(895)%branch(0:0))
      call av(895, 0, 8, 1, 0, UVUa0, (/0, 1/), (/nGC_421/))

      allocate(vertices(896)%branch(0:0))
      call av(896, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_27, nGC_27, nGC_431/))

      allocate(vertices(897)%branch(0:0))
      call av(897, 0, 17, 1, 0, FSFa0, (/0, 1/), (/nGC_89, nGC_89/))

      allocate(vertices(898)%branch(0:0))
      call av(898, 0, 18, 1, 0, FaFS0, (/0, 1/), (/nGC_84, nGC_84/))

      allocate(vertices(899)%branch(0:0))
      call av(899, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_48/))

      allocate(vertices(900)%branch(0:0))
      call av(900, 0, 8, 1, 0, SVS0, (/0, 1/), (/nGC_47/))

      allocate(vertices(901)%branch(0:0))
      call av(901, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_25/))

      allocate(vertices(902)%branch(0:0))
      call av(902, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_40/))

      allocate(vertices(903)%branch(0:0))
      call av(903, 0, 20, 1, 0, SFFa0, (/0, 1/), (/nGC_80, nGC_110/))

      allocate(vertices(904)%branch(0:0))
      call av(904, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_31/))

      allocate(vertices(905)%branch(0:1))
      call av(905, 0, 22, 2, 0, FVFa0, (/1, 0/), (/nGC_11, nGC_11/))

      call av(905, 1, 23, 3, 0, FVFa0, (/1, 0/), (/nGC_11, nGC_11/))

      allocate(vertices(906)%branch(0:0))
      call av(906, 0, 8, 1, 0, UaSU0, (/0, 1/), (/nGC_59/))

      allocate(vertices(907)%branch(0:0))
      call av(907, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_66/))

      allocate(vertices(908)%branch(0:0))
      call av(908, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_48/))

      allocate(vertices(909)%branch(0:0))
      call av(909, 0, 8, 1, 0, FaSF0, (/0, 1/), (/nGC_119, nGC_119/))

      allocate(vertices(910)%branch(0:0))
      call av(910, 0, 10, 1, 0, FFaS0, (/0, 1/), (/nGC_88, nGC_88/))

      allocate(vertices(911)%branch(0:0))
      call av(911, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_19/))

      allocate(vertices(912)%branch(0:0))
      call av(912, 0, 8, 1, 0, FFaS1, (/0, 1/), (/nGC_100/))

      allocate(vertices(913)%branch(0:0))
      call av(913, 0, 8, 1, 0, UaSU0, (/0, 1/), (/nGC_59/))

      allocate(vertices(914)%branch(0:0))
      call av(914, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_40/))

      allocate(vertices(915)%branch(0:0))
      call av(915, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_48/))

      allocate(vertices(916)%branch(0:0))
      call av(916, 0, 8, 1, 0, VFaF1, (/0, 1/), (/nGC_33/))

      allocate(vertices(917)%branch(0:0))
      call av(917, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_26/))

      allocate(vertices(918)%branch(0:0))
      call av(918, 0, 8, 1, 0, SVS0, (/0, 1/), (/nGC_451/))

      allocate(vertices(919)%branch(0:0))
      call av(919, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_26/))

      allocate(vertices(920)%branch(0:0))
      call av(920, 0, 8, 1, 0, VFFa0, (/0, 1/), (/nGC_55, nGC_52/))

      allocate(vertices(921)%branch(0:0))
      call av(921, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_39/))

      allocate(vertices(922)%branch(0:0))
      call av(922, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_17/))

      allocate(vertices(923)%branch(0:0))
      call av(923, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_48/))

      allocate(vertices(924)%branch(0:1))
      call av(924, 0, 28, 2, 0, VFFa0, (/1, 0/), (/nGC_11, nGC_11/))

      call av(924, 1, 29, 3, 0, VFFa0, (/1, 0/), (/nGC_11, nGC_11/))

      allocate(vertices(925)%branch(0:0))
      call av(925, 0, 8, 1, 0, VFFa0, (/0, 1/), (/nGC_4, nGC_4/))

      allocate(vertices(926)%branch(0:0))
      call av(926, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_18/))

      allocate(vertices(927)%branch(0:0))
      call av(927, 0, 8, 1, 0, SUaU0, (/0, 1/), (/nGC_49/))

      allocate(vertices(928)%branch(0:0))
      call av(928, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_26/))

      allocate(vertices(929)%branch(0:0))
      call av(929, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_8/))

      allocate(vertices(930)%branch(0:0))
      call av(930, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_38/))

      allocate(vertices(931)%branch(0:0))
      call av(931, 0, 8, 1, 0, SUUa0, (/0, 1/), (/nGC_49/))

      allocate(vertices(932)%branch(0:0))
      call av(932, 0, 10, 1, 0, FFaV0, (/0, 1/), (/nGC_33/))

      allocate(vertices(933)%branch(0:0))
      call av(933, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_75/))

      allocate(vertices(934)%branch(0:0))
      call av(934, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_6/))

      allocate(vertices(935)%branch(0:0))
      call av(935, 0, 20, 1, 0, SFFa0, (/0, 1/), (/nGC_93, nGC_93/))

      allocate(vertices(936)%branch(0:0))
      call av(936, 0, 17, 1, 0, FSFa0, (/0, 1/), (/nGC_93, nGC_93/))

      allocate(vertices(937)%branch(0:0))
      call av(937, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_9/))

      allocate(vertices(938)%branch(0:0))
      call av(938, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_7/))

      allocate(vertices(939)%branch(0:0))
      call av(939, 0, 21, 1, 0, SFaF0, (/0, 1/), (/nGC_85, nGC_105/))

      allocate(vertices(940)%branch(0:0))
      call av(940, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_20/))

      allocate(vertices(941)%branch(0:0))
      call av(941, 0, 8, 1, 0, VSV0, (/0, 1/), (/nGC_71/))

      allocate(vertices(942)%branch(0:0))
      call av(942, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_40/))

      allocate(vertices(943)%branch(0:0))
      call av(943, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_38/))

      allocate(vertices(944)%branch(0:0))
      call av(944, 0, 19, 1, 0, FaSF0, (/0, 1/), (/nGC_112, nGC_111/))

      allocate(vertices(945)%branch(0:0))
      call av(945, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_21/))

      allocate(vertices(946)%branch(0:0))
      call av(946, 0, 8, 1, 0, FaFS0, (/0, 1/), (/nGC_119, nGC_119/))

      allocate(vertices(947)%branch(0:0))
      call av(947, 0, 10, 1, 0, FFaS0, (/0, 1/), (/nGC_110, nGC_80/))

      allocate(vertices(948)%branch(0:0))
      call av(948, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_9/))

      allocate(vertices(949)%branch(0:0))
      call av(949, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_40/))

      allocate(vertices(950)%branch(0:0))
      call av(950, 0, 8, 1, 0, UUaS0, (/0, 1/), (/nGC_59/))

      allocate(vertices(951)%branch(0:0))
      call av(951, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_26/))

      allocate(vertices(952)%branch(0:0))
      call av(952, 0, 8, 1, 0, FSFa2, (/0, 1/), (/nGC_95/))

      allocate(vertices(953)%branch(0:0))
      call av(953, 0, 19, 1, 0, FaVF0, (/0, 1/), (/nGC_1, nGC_1/))

      allocate(vertices(954)%branch(0:0))
      call av(954, 0, 19, 1, 0, FaSF0, (/0, 1/), (/nGC_91, nGC_92/))

      allocate(vertices(955)%branch(0:0))
      call av(955, 0, 10, 1, 0, FFaV0, (/0, 1/), (/nGC_33/))

      allocate(vertices(956)%branch(0:0))
      call av(956, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_30/))

      allocate(vertices(957)%branch(0:0))
      call av(957, 0, 21, 1, 0, SFaF0, (/0, 1/), (/nGC_87, nGC_86/))

      allocate(vertices(958)%branch(0:0))
      call av(958, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_6/))

      allocate(vertices(959)%branch(0:0))
      call av(959, 0, 10, 1, 0, FFaS0, (/0, 1/), (/nGC_85, nGC_105/))

      allocate(vertices(960)%branch(0:0))
      call av(960, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_17/))

      allocate(vertices(961)%branch(0:0))
      call av(961, 0, 8, 1, 0, FSFa1, (/0, 1/), (/nGC_115/))

      allocate(vertices(962)%branch(0:0))
      call av(962, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_15/))

      allocate(vertices(963)%branch(0:0))
      call av(963, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_40/))

      allocate(vertices(964)%branch(0:1))
      call av(964, 0, 24, 2, 0, FaVF0, (/1, 0/), (/nGC_11, nGC_11/))

      call av(964, 1, 25, 3, 0, FaVF0, (/1, 0/), (/nGC_11, nGC_11/))

      allocate(vertices(965)%branch(0:0))
      call av(965, 0, 21, 1, 0, SFaF0, (/0, 1/), (/nGC_106, nGC_107/))

      allocate(vertices(966)%branch(0:0))
      call av(966, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_48/))

      allocate(vertices(967)%branch(0:0))
      call av(967, 0, 8, 1, 0, SFFa0, (/0, 1/), (/nGC_119, nGC_119/))

      allocate(vertices(968)%branch(0:0))
      call av(968, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_58/))

      allocate(vertices(969)%branch(0:0))
      call av(969, 0, 17, 1, 0, FSFa0, (/0, 1/), (/nGC_106, nGC_107/))

      allocate(vertices(970)%branch(0:0))
      call av(970, 0, 8, 1, 0, UaUS0, (/0, 1/), (/nGC_62/))

      allocate(vertices(971)%branch(0:0))
      call av(971, 0, 21, 1, 0, VFaF1, (/0, 1/), (/nGC_33/))

      allocate(vertices(972)%branch(0:0))
      call av(972, 0, 8, 1, 0, UVUa0, (/0, 1/), (/nGC_421/))

      allocate(vertices(973)%branch(0:0))
      call av(973, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_7/))

      allocate(vertices(974)%branch(0:0))
      call av(974, 0, 17, 1, 0, FSFa0, (/0, 1/), (/nGC_120, nGC_90/))

      allocate(vertices(975)%branch(0:0))
      call av(975, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_25/))

      allocate(vertices(976)%branch(0:0))
      call av(976, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_5, nGC_5, nGC_435/))

      allocate(vertices(977)%branch(0:0))
      call av(977, 0, 8, 1, 0, SSV0, (/0, 1/), (/nGC_445/))

      allocate(vertices(978)%branch(0:0))
      call av(978, 0, 8, 1, 0, UUaV0, (/0, 1/), (/nGC_419/))

      allocate(vertices(979)%branch(0:0))
      call av(979, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_30/))

      allocate(vertices(980)%branch(0:0))
      call av(980, 0, 8, 1, 0, SFaF1, (/0, 1/), (/nGC_95/))

      allocate(vertices(981)%branch(0:0))
      call av(981, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_427, nGC_41, nGC_427/))

      allocate(vertices(982)%branch(0:0))
      call av(982, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_58/))

      allocate(vertices(983)%branch(0:0))
      call av(983, 0, 10, 1, 0, FFaV1, (/0, 1/), (/nGC_1, nGC_1/))

      allocate(vertices(984)%branch(0:0))
      call av(984, 0, 19, 1, 0, FaSF0, (/0, 1/), (/nGC_84, nGC_84/))

      allocate(vertices(985)%branch(0:0))
      call av(985, 0, 8, 1, 0, SVS0, (/0, 1/), (/nGC_429/))

      allocate(vertices(986)%branch(0:0))
      call av(986, 0, 8, 1, 0, FFaV0, (/0, 1/), (/nGC_33/))

      allocate(vertices(987)%branch(0:0))
      call av(987, 0, 19, 1, 0, FaSF0, (/0, 1/), (/nGC_113, nGC_113/))

      allocate(vertices(988)%branch(0:0))
      call av(988, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_431, nGC_27, nGC_27/))

      allocate(vertices(989)%branch(0:0))
      call av(989, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_19/))

      allocate(vertices(990)%branch(0:0))
      call av(990, 0, 8, 1, 0, FaFS0, (/0, 1/), (/nGC_98, nGC_98/))

      allocate(vertices(991)%branch(0:0))
      call av(991, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_18/))

      allocate(vertices(992)%branch(0:0))
      call av(992, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_48/))

      allocate(vertices(993)%branch(0:0))
      call av(993, 0, 8, 1, 0, FaVF1, (/0, 1/), (/nGC_33/))

      allocate(vertices(994)%branch(0:0))
      call av(994, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_9/))

      allocate(vertices(995)%branch(0:0))
      call av(995, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_19/))

      allocate(vertices(996)%branch(0:0))
      call av(996, 0, 8, 1, 0, FSFa2, (/0, 1/), (/nGC_115/))

      allocate(vertices(997)%branch(0:0))
      call av(997, 0, 8, 1, 0, VFFa1, (/0, 1/), (/nGC_33/))

      allocate(vertices(998)%branch(0:0))
      call av(998, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_40/))

      allocate(vertices(999)%branch(0:0))
      call av(999, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_48/))

      allocate(vertices(1000)%branch(0:0))
      call av(1000, 0, 8, 1, 0, VFFa1, (/0, 1/), (/nGC_33/))

      allocate(vertices(1001)%branch(0:0))
      call av(1001, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_18/))

      allocate(vertices(1002)%branch(0:0))
      call av(1002, 0, 18, 1, 0, FaFV1, (/0, 1/), (/nGC_33/))

      allocate(vertices(1003)%branch(0:0))
      call av(1003, 0, 19, 1, 0, FaVF1, (/0, 1/), (/nGC_33/))

      allocate(vertices(1004)%branch(0:0))
      call av(1004, 0, 8, 1, 0, VFaF1, (/0, 1/), (/nGC_33/))

      allocate(vertices(1005)%branch(0:0))
      call av(1005, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_17/))

      allocate(vertices(1006)%branch(0:0))
      call av(1006, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_14/))

      allocate(vertices(1007)%branch(0:0))
      call av(1007, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_66/))

      allocate(vertices(1008)%branch(0:0))
      call av(1008, 0, 8, 1, 0, USUa0, (/0, 1/), (/nGC_16/))

      allocate(vertices(1009)%branch(0:0))
      call av(1009, 0, 21, 1, 0, SFaF0, (/0, 1/), (/nGC_122, nGC_121/))

      allocate(vertices(1010)%branch(0:0))
      call av(1010, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_9/))

      allocate(vertices(1011)%branch(0:0))
      call av(1011, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_9/))

      allocate(vertices(1012)%branch(0:0))
      call av(1012, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_18/))

      allocate(vertices(1013)%branch(0:0))
      call av(1013, 0, 8, 1, 0, USUa0, (/0, 1/), (/nGC_49/))

      allocate(vertices(1014)%branch(0:0))
      call av(1014, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_38/))

      allocate(vertices(1015)%branch(0:0))
      call av(1015, 0, 8, 1, 0, VSV0, (/0, 1/), (/nGC_68/))

      allocate(vertices(1016)%branch(0:0))
      call av(1016, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_17/))

      allocate(vertices(1017)%branch(0:0))
      call av(1017, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_17/))

      allocate(vertices(1018)%branch(0:0))
      call av(1018, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_8/))

      allocate(vertices(1019)%branch(0:0))
      call av(1019, 0, 8, 1, 0, VFaF0, (/0, 1/), (/nGC_4, nGC_4/))

      allocate(vertices(1020)%branch(0:0))
      call av(1020, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_38/))

      allocate(vertices(1021)%branch(0:0))
      call av(1021, 0, 8, 1, 0, FaFS0, (/0, 1/), (/nGC_99, nGC_99/))

      allocate(vertices(1022)%branch(0:0))
      call av(1022, 0, 8, 1, 0, SFFa0, (/0, 1/), (/nGC_116, nGC_117/))

      allocate(vertices(1023)%branch(0:0))
      call av(1023, 0, 8, 1, 0, FVFa1, (/0, 1/), (/nGC_33/))

      allocate(vertices(1024)%branch(0:0))
      call av(1024, 0, 19, 1, 0, FaSF0, (/0, 1/), (/nGC_110, nGC_80/))

      allocate(vertices(1025)%branch(0:0))
      call av(1025, 0, 8, 1, 0, FaSF2, (/0, 1/), (/nGC_95/))

      allocate(vertices(1026)%branch(0:0))
      call av(1026, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_38/))

      allocate(vertices(1027)%branch(0:0))
      call av(1027, 0, 8, 1, 0, SSV0, (/0, 1/), (/nGC_57/))

      allocate(vertices(1028)%branch(0:0))
      call av(1028, 0, 8, 1, 0, SFFa0, (/0, 1/), (/nGC_101, nGC_102/))

      allocate(vertices(1029)%branch(0:0))
      call av(1029, 0, 8, 1, 0, VSS0, (/0, 1/), (/nGC_429/))

      allocate(vertices(1030)%branch(0:0))
      call av(1030, 0, 8, 1, 0, UaUS0, (/0, 1/), (/nGC_42/))

      allocate(vertices(1031)%branch(0:0))
      call av(1031, 0, 20, 1, 0, VFFa0, (/0, 1/), (/nGC_1, nGC_1/))

      allocate(vertices(1032)%branch(0:0))
      call av(1032, 0, 20, 1, 0, SFFa0, (/0, 1/), (/nGC_120, nGC_90/))

      allocate(vertices(1033)%branch(0:0))
      call av(1033, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_58/))

      allocate(vertices(1034)%branch(0:0))
      call av(1034, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_48/))

      allocate(vertices(1035)%branch(0:0))
      call av(1035, 0, 8, 1, 0, SSV0, (/0, 1/), (/nGC_47/))

      allocate(vertices(1036)%branch(0:0))
      call av(1036, 0, 8, 1, 0, UUaV0, (/0, 1/), (/nGC_421/))

      allocate(vertices(1037)%branch(0:0))
      call av(1037, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_41, nGC_427, nGC_427/))

      allocate(vertices(1038)%branch(0:0))
      call av(1038, 0, 18, 1, 0, FaFS0, (/0, 1/), (/nGC_122, nGC_121/))

      allocate(vertices(1039)%branch(0:0))
      call av(1039, 0, 8, 1, 0, FVFa0, (/0, 1/), (/nGC_4, nGC_4/))

      allocate(vertices(1040)%branch(0:0))
      call av(1040, 0, 20, 1, 0, SFFa0, (/0, 1/), (/nGC_114, nGC_114/))

      allocate(vertices(1041)%branch(0:0))
      call av(1041, 0, 8, 1, 0, VUUa0, (/0, 1/), (/nGC_421/))

      allocate(vertices(1042)%branch(0:0))
      call av(1042, 0, 8, 1, 0, SVS0, (/0, 1/), (/nGC_429/))

      allocate(vertices(1043)%branch(0:0))
      call av(1043, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_31/))

      allocate(vertices(1044)%branch(0:0))
      call av(1044, 0, 21, 1, 0, SFaF0, (/0, 1/), (/nGC_108, nGC_108/))

      allocate(vertices(1045)%branch(0:0))
      call av(1045, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_58/))

      allocate(vertices(1046)%branch(0:0))
      call av(1046, 0, 19, 1, 0, FaVF0, (/0, 1/), (/nGC_1, nGC_1/))

      allocate(vertices(1047)%branch(0:0))
      call av(1047, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_38/))

      allocate(vertices(1048)%branch(0:0))
      call av(1048, 0, 8, 1, 0, FaFV0, (/0, 1/), (/nGC_4, nGC_4/))

      allocate(vertices(1049)%branch(0:0))
      call av(1049, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_9/))

      allocate(vertices(1050)%branch(0:0))
      call av(1050, 0, 18, 1, 0, FaFV0, (/0, 1/), (/nGC_54, nGC_51/))

      allocate(vertices(1051)%branch(0:0))
      call av(1051, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_7/))

      allocate(vertices(1052)%branch(0:0))
      call av(1052, 0, 8, 1, 0, FVFa1, (/0, 1/), (/nGC_33/))

      allocate(vertices(1053)%branch(0:0))
      call av(1053, 0, 20, 1, 0, SFFa0, (/0, 1/), (/nGC_123, nGC_123/))

      allocate(vertices(1054)%branch(0:0))
      call av(1054, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_29, nGC_437, nGC_29/))

      allocate(vertices(1055)%branch(0:0))
      call av(1055, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_26/))

      allocate(vertices(1056)%branch(0:0))
      call av(1056, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_40/))

      allocate(vertices(1057)%branch(0:0))
      call av(1057, 0, 8, 1, 0, UVUa0, (/0, 1/), (/nGC_419/))

      allocate(vertices(1058)%branch(0:0))
      call av(1058, 0, 17, 1, 0, FVFa1, (/0, 1/), (/nGC_33/))

      allocate(vertices(1059)%branch(0:0))
      call av(1059, 0, 8, 1, 0, FaFS0, (/0, 1/), (/nGC_118, nGC_118/))

      allocate(vertices(1060)%branch(0:0))
      call av(1060, 0, 8, 1, 0, FVFa0, (/0, 1/), (/nGC_55, nGC_52/))

      allocate(vertices(1061)%branch(0:0))
      call av(1061, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_7/))

      allocate(vertices(1062)%branch(0:0))
      call av(1062, 0, 8, 1, 0, UUaV0, (/0, 1/), (/nGC_421/))

      allocate(vertices(1063)%branch(0:0))
      call av(1063, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_26/))

      allocate(vertices(1064)%branch(0:0))
      call av(1064, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_30/))

      allocate(vertices(1065)%branch(0:0))
      call av(1065, 0, 8, 1, 0, VFaF0, (/0, 1/), (/nGC_4, nGC_4/))

      allocate(vertices(1066)%branch(0:5))
      call av(1066, 0, 3, 6, 0, VVVV0, (/2, 0/), (/nGC_12, nGC_12, nGC_439/))

      call av(1066, 1, 7, 7, 0, VVVV0, (/2, 0/), (/nGC_441, nGC_443, nGC_441/))

      call av(1066, 2, 6, 7, 0, VVVV0, (/2, 0/), (/nGC_443, nGC_441, nGC_441/))

      call av(1066, 3, 2, 6, 0, VVVV0, (/2, 0/), (/nGC_12, nGC_12, nGC_439/))

      call av(1066, 4, 5, 7, 0, VVVV0, (/2, 0/), (/nGC_441, nGC_443, nGC_441/))

      call av(1066, 5, 4, 7, 0, VVVV0, (/2, 0/), (/nGC_443, nGC_441, nGC_441/))

      allocate(vertices(1067)%branch(0:0))
      call av(1067, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_22/))

      allocate(vertices(1068)%branch(0:0))
      call av(1068, 0, 8, 1, 0, SUaU0, (/0, 1/), (/nGC_60/))

      allocate(vertices(1069)%branch(0:0))
      call av(1069, 0, 8, 1, 0, FaSF0, (/0, 1/), (/nGC_101, nGC_102/))

      allocate(vertices(1070)%branch(0:0))
      call av(1070, 0, 21, 1, 0, SFaF0, (/0, 1/), (/nGC_105, nGC_85/))

      allocate(vertices(1071)%branch(0:0))
      call av(1071, 0, 8, 1, 0, VVS0, (/0, 1/), (/nGC_71/))

      allocate(vertices(1072)%branch(0:0))
      call av(1072, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_427, nGC_41, nGC_427/))

      allocate(vertices(1073)%branch(0:0))
      call av(1073, 0, 8, 1, 0, FVFa0, (/0, 1/), (/nGC_55, nGC_52/))

      allocate(vertices(1074)%branch(0:0))
      call av(1074, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_17/))

      allocate(vertices(1075)%branch(0:0))
      call av(1075, 0, 8, 1, 0, SFaF2, (/0, 1/), (/nGC_115/))

      allocate(vertices(1076)%branch(0:0))
      call av(1076, 0, 8, 1, 0, VSS0, (/0, 1/), (/nGC_32/))

      allocate(vertices(1077)%branch(0:0))
      call av(1077, 0, 17, 1, 0, FSFa0, (/0, 1/), (/nGC_91, nGC_92/))

      allocate(vertices(1078)%branch(0:0))
      call av(1078, 0, 19, 1, 0, FaSF0, (/0, 1/), (/nGC_123, nGC_123/))

      allocate(vertices(1079)%branch(0:0))
      call av(1079, 0, 8, 1, 0, SVV0, (/0, 1/), (/nGC_72/))

      allocate(vertices(1080)%branch(0:0))
      call av(1080, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_58/))

      allocate(vertices(1081)%branch(0:0))
      call av(1081, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_26/))

      allocate(vertices(1082)%branch(0:0))
      call av(1082, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_30/))

      allocate(vertices(1083)%branch(0:0))
      call av(1083, 0, 20, 1, 0, SFFa0, (/0, 1/), (/nGC_87, nGC_86/))

      allocate(vertices(1084)%branch(0:0))
      call av(1084, 0, 17, 1, 0, FSFa0, (/0, 1/), (/nGC_123, nGC_123/))

      allocate(vertices(1085)%branch(0:0))
      call av(1085, 0, 8, 1, 0, VVV0, (/0, 1/), (/nGC_423/))

      allocate(vertices(1086)%branch(0:0))
      call av(1086, 0, 8, 1, 0, UVUa0, (/0, 1/), (/nGC_419/))

      allocate(vertices(1087)%branch(0:0))
      call av(1087, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_31/))

      allocate(vertices(1088)%branch(0:0))
      call av(1088, 0, 8, 1, 0, FaFS1, (/0, 1/), (/nGC_115/))

      allocate(vertices(1089)%branch(0:0))
      call av(1089, 0, 8, 1, 0, FSFa0, (/0, 1/), (/nGC_118, nGC_118/))

      allocate(vertices(1090)%branch(0:0))
      call av(1090, 0, 8, 1, 0, VUUa0, (/0, 1/), (/nGC_423/))

      allocate(vertices(1091)%branch(0:0))
      call av(1091, 0, 19, 1, 0, FaVF0, (/0, 1/), (/nGC_54, nGC_51/))

      allocate(vertices(1092)%branch(0:0))
      call av(1092, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_7/))

      allocate(vertices(1093)%branch(0:0))
      call av(1093, 0, 8, 1, 0, VFFa1, (/0, 1/), (/nGC_33/))

      allocate(vertices(1094)%branch(0:0))
      call av(1094, 0, 8, 1, 0, SSV0, (/0, 1/), (/nGC_425/))

      allocate(vertices(1095)%branch(0:0))
      call av(1095, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_17/))

      allocate(vertices(1096)%branch(0:0))
      call av(1096, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_8/))

      allocate(vertices(1097)%branch(0:0))
      call av(1097, 0, 19, 1, 0, FaVF0, (/0, 1/), (/nGC_53, nGC_50/))

      allocate(vertices(1098)%branch(0:0))
      call av(1098, 0, 8, 1, 0, VSV0, (/0, 1/), (/nGC_68/))

      allocate(vertices(1099)%branch(0:0))
      call av(1099, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_30/))

      allocate(vertices(1100)%branch(0:0))
      call av(1100, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_18/))

      allocate(vertices(1101)%branch(0:0))
      call av(1101, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_26/))

      allocate(vertices(1102)%branch(0:0))
      call av(1102, 0, 21, 1, 0, VFaF0, (/0, 1/), (/nGC_54, nGC_51/))

      allocate(vertices(1103)%branch(0:1))
      call av(1103, 0, 28, 2, 0, VFFa0, (/1, 0/), (/nGC_11, nGC_11/))

      call av(1103, 1, 29, 3, 0, VFFa0, (/1, 0/), (/nGC_11, nGC_11/))

      allocate(vertices(1104)%branch(0:0))
      call av(1104, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_58/))

      allocate(vertices(1105)%branch(0:0))
      call av(1105, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_7/))

      allocate(vertices(1106)%branch(0:0))
      call av(1106, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_13/))

      allocate(vertices(1107)%branch(0:0))
      call av(1107, 0, 8, 1, 0, VVV0, (/0, 1/), (/nGC_37/))

      allocate(vertices(1108)%branch(0:0))
      call av(1108, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_40/))

      allocate(vertices(1109)%branch(0:0))
      call av(1109, 0, 8, 1, 0, SVS0, (/0, 1/), (/nGC_417/))

      allocate(vertices(1110)%branch(0:0))
      call av(1110, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_18/))

      allocate(vertices(1111)%branch(0:0))
      call av(1111, 0, 20, 1, 0, VFFa0, (/0, 1/), (/nGC_2, nGC_2/))

      allocate(vertices(1112)%branch(0:0))
      call av(1112, 0, 8, 1, 0, FFaV1, (/0, 1/), (/nGC_55, nGC_52/))

      allocate(vertices(1113)%branch(0:0))
      call av(1113, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_31/))

      allocate(vertices(1114)%branch(0:0))
      call av(1114, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_66/))

      allocate(vertices(1115)%branch(0:0))
      call av(1115, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_63/))

      allocate(vertices(1116)%branch(0:0))
      call av(1116, 0, 8, 1, 0, VFaF0, (/0, 1/), (/nGC_4, nGC_4/))

      allocate(vertices(1117)%branch(0:0))
      call av(1117, 0, 8, 1, 0, SVS0, (/0, 1/), (/nGC_61/))

      allocate(vertices(1118)%branch(0:0))
      call av(1118, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_8/))

      allocate(vertices(1119)%branch(0:0))
      call av(1119, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_39/))

      allocate(vertices(1120)%branch(0:0))
      call av(1120, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_20/))

      allocate(vertices(1121)%branch(0:1))
      call av(1121, 0, 11, 2, 0, FFaV1, (/1, 0/), (/nGC_11, nGC_11/))

      call av(1121, 1, 12, 3, 0, FFaV1, (/1, 0/), (/nGC_11, nGC_11/))

      allocate(vertices(1122)%branch(0:0))
      call av(1122, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_9/))

      allocate(vertices(1123)%branch(0:0))
      call av(1123, 0, 8, 1, 0, FaFV0, (/0, 1/), (/nGC_4, nGC_4/))

      allocate(vertices(1124)%branch(0:0))
      call av(1124, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_30/))

      allocate(vertices(1125)%branch(0:0))
      call av(1125, 0, 8, 1, 0, FFaV0, (/0, 1/), (/nGC_33/))

      allocate(vertices(1126)%branch(0:0))
      call av(1126, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_26/))

      allocate(vertices(1127)%branch(0:0))
      call av(1127, 0, 8, 1, 0, FVFa1, (/0, 1/), (/nGC_33/))

      allocate(vertices(1128)%branch(0:0))
      call av(1128, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_6/))

      allocate(vertices(1129)%branch(0:0))
      call av(1129, 0, 10, 1, 0, FFaV1, (/0, 1/), (/nGC_1, nGC_1/))

      allocate(vertices(1130)%branch(0:0))
      call av(1130, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_8/))

      allocate(vertices(1131)%branch(0:0))
      call av(1131, 0, 8, 1, 0, SUUa0, (/0, 1/), (/nGC_16/))

      allocate(vertices(1132)%branch(0:0))
      call av(1132, 0, 8, 1, 0, FaFV1, (/0, 1/), (/nGC_56/))

      allocate(vertices(1133)%branch(0:0))
      call av(1133, 0, 20, 1, 0, SFFa0, (/0, 1/), (/nGC_83, nGC_83/))

      allocate(vertices(1134)%branch(0:0))
      call av(1134, 0, 8, 1, 0, VVS0, (/0, 1/), (/nGC_70/))

      allocate(vertices(1135)%branch(0:0))
      call av(1135, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_30/))

      allocate(vertices(1136)%branch(0:0))
      call av(1136, 0, 8, 1, 0, FaSF0, (/0, 1/), (/nGC_116, nGC_117/))

      allocate(vertices(1137)%branch(0:0))
      call av(1137, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_48/))

      allocate(vertices(1138)%branch(0:0))
      call av(1138, 0, 18, 1, 0, FaFV0, (/0, 1/), (/nGC_53, nGC_50/))

      allocate(vertices(1139)%branch(0:0))
      call av(1139, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_74/))

      allocate(vertices(1140)%branch(0:0))
      call av(1140, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_19/))

      allocate(vertices(1141)%branch(0:0))
      call av(1141, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_39/))

      allocate(vertices(1142)%branch(0:0))
      call av(1142, 0, 8, 1, 0, USUa0, (/0, 1/), (/nGC_16/))

      allocate(vertices(1143)%branch(0:1))
      call av(1143, 0, 30, 2, 0, VFaF0, (/1, 0/), (/nGC_11, nGC_11/))

      call av(1143, 1, 31, 3, 0, VFaF0, (/1, 0/), (/nGC_11, nGC_11/))

      allocate(vertices(1144)%branch(0:0))
      call av(1144, 0, 19, 1, 0, FaVF1, (/0, 1/), (/nGC_33/))

      allocate(vertices(1145)%branch(0:0))
      call av(1145, 0, 19, 1, 0, FaVF1, (/0, 1/), (/nGC_33/))

      allocate(vertices(1146)%branch(0:0))
      call av(1146, 0, 8, 1, 0, FFaV1, (/0, 1/), (/nGC_4, nGC_4/))

      allocate(vertices(1147)%branch(0:0))
      call av(1147, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_30/))

      allocate(vertices(1148)%branch(0:0))
      call av(1148, 0, 8, 1, 0, FVFa0, (/0, 1/), (/nGC_4, nGC_4/))

      allocate(vertices(1149)%branch(0:0))
      call av(1149, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_65/))

      allocate(vertices(1150)%branch(0:0))
      call av(1150, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_75/))

      allocate(vertices(1151)%branch(0:0))
      call av(1151, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_63/))

      allocate(vertices(1152)%branch(0:0))
      call av(1152, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_26/))

      allocate(vertices(1153)%branch(0:0))
      call av(1153, 0, 8, 1, 0, SSV0, (/0, 1/), (/nGC_32/))

      allocate(vertices(1154)%branch(0:0))
      call av(1154, 0, 20, 1, 0, VFFa0, (/0, 1/), (/nGC_1, nGC_1/))

      allocate(vertices(1155)%branch(0:0))
      call av(1155, 0, 19, 1, 0, FaSF0, (/0, 1/), (/nGC_88, nGC_88/))

      allocate(vertices(1156)%branch(0:0))
      call av(1156, 0, 8, 1, 0, FaFS1, (/0, 1/), (/nGC_95/))

      allocate(vertices(1157)%branch(0:0))
      call av(1157, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_9/))

      allocate(vertices(1158)%branch(0:0))
      call av(1158, 0, 8, 1, 0, FaFS0, (/0, 1/), (/nGC_103, nGC_103/))

      allocate(vertices(1159)%branch(0:0))
      call av(1159, 0, 20, 1, 0, VFFa0, (/0, 1/), (/nGC_1, nGC_1/))

      allocate(vertices(1160)%branch(0:0))
      call av(1160, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_58/))

      allocate(vertices(1161)%branch(0:0))
      call av(1161, 0, 8, 1, 0, VSS0, (/0, 1/), (/nGC_32/))

      allocate(vertices(1162)%branch(0:0))
      call av(1162, 0, 20, 1, 0, VFFa0, (/0, 1/), (/nGC_53, nGC_50/))

      allocate(vertices(1163)%branch(0:0))
      call av(1163, 0, 8, 1, 0, FSFa1, (/0, 1/), (/nGC_100/))

      allocate(vertices(1164)%branch(0:0))
      call av(1164, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_30/))

      allocate(vertices(1165)%branch(0:0))
      call av(1165, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_39/))

      allocate(vertices(1166)%branch(0:0))
      call av(1166, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_63/))

      allocate(vertices(1167)%branch(0:0))
      call av(1167, 0, 8, 1, 0, SUaU0, (/0, 1/), (/nGC_16/))

      allocate(vertices(1168)%branch(0:0))
      call av(1168, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_58/))

      allocate(vertices(1169)%branch(0:0))
      call av(1169, 0, 19, 1, 0, FaVF1, (/0, 1/), (/nGC_33/))

      allocate(vertices(1170)%branch(0:0))
      call av(1170, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_38/))

      allocate(vertices(1171)%branch(0:0))
      call av(1171, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_19/))

      allocate(vertices(1172)%branch(0:0))
      call av(1172, 0, 8, 1, 0, USUa0, (/0, 1/), (/nGC_49/))

      allocate(vertices(1173)%branch(0:0))
      call av(1173, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_39/))

      allocate(vertices(1174)%branch(0:0))
      call av(1174, 0, 8, 1, 0, FaSF2, (/0, 1/), (/nGC_100/))

      allocate(vertices(1175)%branch(0:0))
      call av(1175, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_39/))

      allocate(vertices(1176)%branch(0:0))
      call av(1176, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_27, nGC_431, nGC_27/))

      allocate(vertices(1177)%branch(0:0))
      call av(1177, 0, 8, 1, 0, SSV0, (/0, 1/), (/nGC_32/))

      allocate(vertices(1178)%branch(0:0))
      call av(1178, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_28/))

      allocate(vertices(1179)%branch(0:0))
      call av(1179, 0, 10, 1, 0, FFaS0, (/0, 1/), (/nGC_94, nGC_94/))

      allocate(vertices(1180)%branch(0:0))
      call av(1180, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_9/))

      allocate(vertices(1181)%branch(0:1))
      call av(1181, 0, 0, 4, 0, VVV0, (/1, 0/), (/nGC_10/))

      call av(1181, 1, 1, 5, 0, VVV0, (/1, 0/), (/nGC_10/))

      allocate(vertices(1182)%branch(0:0))
      call av(1182, 0, 8, 1, 0, VUUa0, (/0, 1/), (/nGC_423/))

      allocate(vertices(1183)%branch(0:0))
      call av(1183, 0, 19, 1, 0, FaVF0, (/0, 1/), (/nGC_53, nGC_50/))

      allocate(vertices(1184)%branch(0:0))
      call av(1184, 0, 8, 1, 0, FFaV0, (/0, 1/), (/nGC_33/))

      allocate(vertices(1185)%branch(0:0))
      call av(1185, 0, 8, 1, 0, VUaU0, (/0, 1/), (/nGC_423/))

      allocate(vertices(1186)%branch(0:0))
      call av(1186, 0, 8, 1, 0, SUaU0, (/0, 1/), (/nGC_49/))

      allocate(vertices(1187)%branch(0:0))
      call av(1187, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_41, nGC_427, nGC_427/))

      allocate(vertices(1188)%branch(0:0))
      call av(1188, 0, 19, 1, 0, FaVF0, (/0, 1/), (/nGC_2, nGC_2/))

      allocate(vertices(1189)%branch(0:0))
      call av(1189, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_38/))

      allocate(vertices(1190)%branch(0:0))
      call av(1190, 0, 17, 1, 0, FSFa0, (/0, 1/), (/nGC_81, nGC_82/))

      allocate(vertices(1191)%branch(0:0))
      call av(1191, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_20/))

      allocate(vertices(1192)%branch(0:0))
      call av(1192, 0, 18, 1, 0, FaFS0, (/0, 1/), (/nGC_91, nGC_92/))

      allocate(vertices(1193)%branch(0:0))
      call av(1193, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_20/))

      allocate(vertices(1194)%branch(0:0))
      call av(1194, 0, 17, 1, 0, FVFa0, (/0, 1/), (/nGC_1, nGC_1/))

      allocate(vertices(1195)%branch(0:0))
      call av(1195, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_17/))

      allocate(vertices(1196)%branch(0:0))
      call av(1196, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_26/))

      allocate(vertices(1197)%branch(0:0))
      call av(1197, 0, 8, 1, 0, FaFS0, (/0, 1/), (/nGC_104, nGC_104/))

      allocate(vertices(1198)%branch(0:0))
      call av(1198, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_41, nGC_427, nGC_427/))

      allocate(vertices(1199)%branch(0:0))
      call av(1199, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_40/))

      allocate(vertices(1200)%branch(0:0))
      call av(1200, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_18/))

      allocate(vertices(1201)%branch(0:0))
      call av(1201, 0, 8, 1, 0, SFFa0, (/0, 1/), (/nGC_99, nGC_99/))

      allocate(vertices(1202)%branch(0:1))
      call av(1202, 0, 27, 3, 0, FaFV0, (/1, 0/), (/nGC_11, nGC_11/))

      call av(1202, 1, 26, 2, 0, FaFV0, (/1, 0/), (/nGC_11, nGC_11/))

      allocate(vertices(1203)%branch(0:0))
      call av(1203, 0, 8, 1, 0, FVFa0, (/0, 1/), (/nGC_55, nGC_52/))

      allocate(vertices(1204)%branch(0:0))
      call av(1204, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_9/))

      allocate(vertices(1205)%branch(0:0))
      call av(1205, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_18/))

      allocate(vertices(1206)%branch(0:0))
      call av(1206, 0, 8, 1, 0, SVS0, (/0, 1/), (/nGC_32/))

      allocate(vertices(1207)%branch(0:0))
      call av(1207, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_30/))

      allocate(vertices(1208)%branch(0:0))
      call av(1208, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_48/))

      allocate(vertices(1209)%branch(0:0))
      call av(1209, 0, 17, 1, 0, FSFa0, (/0, 1/), (/nGC_94, nGC_94/))

      allocate(vertices(1210)%branch(0:0))
      call av(1210, 0, 8, 1, 0, FFaS0, (/0, 1/), (/nGC_103, nGC_103/))

      allocate(vertices(1211)%branch(0:0))
      call av(1211, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_48/))

      allocate(vertices(1212)%branch(0:0))
      call av(1212, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_48/))

      allocate(vertices(1213)%branch(0:0))
      call av(1213, 0, 8, 1, 0, FaVF0, (/0, 1/), (/nGC_55, nGC_52/))

      allocate(vertices(1214)%branch(0:0))
      call av(1214, 0, 8, 1, 0, VSV0, (/0, 1/), (/nGC_72/))

      allocate(vertices(1215)%branch(0:0))
      call av(1215, 0, 8, 1, 0, UaVU0, (/0, 1/), (/nGC_423/))

      allocate(vertices(1216)%branch(0:0))
      call av(1216, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_75/))

      allocate(vertices(1217)%branch(0:0))
      call av(1217, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_28/))

      allocate(vertices(1218)%branch(0:1))
      call av(1218, 0, 24, 2, 0, FaVF0, (/1, 0/), (/nGC_11, nGC_11/))

      call av(1218, 1, 25, 3, 0, FaVF0, (/1, 0/), (/nGC_11, nGC_11/))

      allocate(vertices(1219)%branch(0:0))
      call av(1219, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_58/))

      allocate(vertices(1220)%branch(0:0))
      call av(1220, 0, 8, 1, 0, FaFV0, (/0, 1/), (/nGC_55, nGC_52/))

      allocate(vertices(1221)%branch(0:0))
      call av(1221, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_30/))

      allocate(vertices(1222)%branch(0:0))
      call av(1222, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_31/))

      allocate(vertices(1223)%branch(0:0))
      call av(1223, 0, 10, 1, 0, FFaS0, (/0, 1/), (/nGC_93, nGC_93/))

      allocate(vertices(1224)%branch(0:0))
      call av(1224, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_40/))

      allocate(vertices(1225)%branch(0:0))
      call av(1225, 0, 8, 1, 0, FFaV0, (/0, 1/), (/nGC_56/))

      allocate(vertices(1226)%branch(0:0))
      call av(1226, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_48/))

      allocate(vertices(1227)%branch(0:0))
      call av(1227, 0, 20, 1, 0, VFFa0, (/0, 1/), (/nGC_53, nGC_50/))

      allocate(vertices(1228)%branch(0:0))
      call av(1228, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_9/))

      allocate(vertices(1229)%branch(0:0))
      call av(1229, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_30/))

      allocate(vertices(1230)%branch(0:0))
      call av(1230, 0, 17, 1, 0, FVFa1, (/0, 1/), (/nGC_33/))

      allocate(vertices(1231)%branch(0:0))
      call av(1231, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_427, nGC_427, nGC_41/))

      allocate(vertices(1232)%branch(0:0))
      call av(1232, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_40/))

      allocate(vertices(1233)%branch(0:0))
      call av(1233, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_20/))

      allocate(vertices(1234)%branch(0:0))
      call av(1234, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_8/))

      allocate(vertices(1235)%branch(0:0))
      call av(1235, 0, 8, 1, 0, FaFV0, (/0, 1/), (/nGC_4, nGC_4/))

      allocate(vertices(1236)%branch(0:0))
      call av(1236, 0, 19, 1, 0, FaSF0, (/0, 1/), (/nGC_81, nGC_82/))

      allocate(vertices(1237)%branch(0:0))
      call av(1237, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_48/))

      allocate(vertices(1238)%branch(0:0))
      call av(1238, 0, 8, 1, 0, VSV0, (/0, 1/), (/nGC_70/))

      allocate(vertices(1239)%branch(0:0))
      call av(1239, 0, 8, 1, 0, VUUa0, (/0, 1/), (/nGC_433/))

      allocate(vertices(1240)%branch(0:0))
      call av(1240, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_63/))

      allocate(vertices(1241)%branch(0:0))
      call av(1241, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_9/))

      allocate(vertices(1242)%branch(0:0))
      call av(1242, 0, 8, 1, 0, VFaF0, (/0, 1/), (/nGC_55, nGC_52/))

      allocate(vertices(1243)%branch(0:1))
      call av(1243, 0, 28, 2, 0, VFFa0, (/1, 0/), (/nGC_11, nGC_11/))

      call av(1243, 1, 29, 3, 0, VFFa0, (/1, 0/), (/nGC_11, nGC_11/))

      allocate(vertices(1244)%branch(0:0))
      call av(1244, 0, 8, 1, 0, VUaU0, (/0, 1/), (/nGC_419/))

      allocate(vertices(1245)%branch(0:0))
      call av(1245, 0, 8, 1, 0, SVS0, (/0, 1/), (/nGC_57/))

      allocate(vertices(1246)%branch(0:0))
      call av(1246, 0, 20, 1, 0, VFFa0, (/0, 1/), (/nGC_54, nGC_51/))

      allocate(vertices(1247)%branch(0:0))
      call av(1247, 0, 8, 1, 0, VFFa0, (/0, 1/), (/nGC_4, nGC_4/))

      allocate(vertices(1248)%branch(0:1))
      call av(1248, 0, 30, 2, 0, VFaF0, (/1, 0/), (/nGC_11, nGC_11/))

      call av(1248, 1, 31, 3, 0, VFaF0, (/1, 0/), (/nGC_11, nGC_11/))

      allocate(vertices(1249)%branch(0:0))
      call av(1249, 0, 8, 1, 0, FFaV0, (/0, 1/), (/nGC_33/))

      allocate(vertices(1250)%branch(0:0))
      call av(1250, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_9/))

      allocate(vertices(1251)%branch(0:0))
      call av(1251, 0, 18, 1, 0, FaFS0, (/0, 1/), (/nGC_106, nGC_107/))

      allocate(vertices(1252)%branch(0:0))
      call av(1252, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_48/))

      allocate(vertices(1253)%branch(0:0))
      call av(1253, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_39/))

      allocate(vertices(1254)%branch(0:0))
      call av(1254, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_31/))

      allocate(vertices(1255)%branch(0:0))
      call av(1255, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_66/))

      allocate(vertices(1256)%branch(0:0))
      call av(1256, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_40/))

      allocate(vertices(1257)%branch(0:0))
      call av(1257, 0, 8, 1, 0, SUaU0, (/0, 1/), (/nGC_44/))

      allocate(vertices(1258)%branch(0:0))
      call av(1258, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_75/))

      allocate(vertices(1259)%branch(0:0))
      call av(1259, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_17/))

      allocate(vertices(1260)%branch(0:0))
      call av(1260, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_8/))

      allocate(vertices(1261)%branch(0:0))
      call av(1261, 0, 18, 1, 0, FaFV1, (/0, 1/), (/nGC_33/))

      allocate(vertices(1262)%branch(0:1))
      call av(1262, 0, 22, 2, 0, FVFa0, (/1, 0/), (/nGC_11, nGC_11/))

      call av(1262, 1, 23, 3, 0, FVFa0, (/1, 0/), (/nGC_11, nGC_11/))

      allocate(vertices(1263)%branch(0:0))
      call av(1263, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_17/))

      allocate(vertices(1264)%branch(0:0))
      call av(1264, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_14/))

      allocate(vertices(1265)%branch(0:0))
      call av(1265, 0, 10, 1, 0, FFaV1, (/0, 1/), (/nGC_2, nGC_2/))

      allocate(vertices(1266)%branch(0:0))
      call av(1266, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_40/))

      allocate(vertices(1267)%branch(0:0))
      call av(1267, 0, 20, 1, 0, SFFa0, (/0, 1/), (/nGC_94, nGC_94/))

      allocate(vertices(1268)%branch(0:0))
      call av(1268, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_67/))

      allocate(vertices(1269)%branch(0:0))
      call av(1269, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_26/))

      allocate(vertices(1270)%branch(0:0))
      call av(1270, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_78/))

      allocate(vertices(1271)%branch(0:0))
      call av(1271, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_5, nGC_5, nGC_435/))

      allocate(vertices(1272)%branch(0:0))
      call av(1272, 0, 18, 1, 0, FaFV0, (/0, 1/), (/nGC_1, nGC_1/))

      allocate(vertices(1273)%branch(0:0))
      call av(1273, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_7/))

      allocate(vertices(1274)%branch(0:0))
      call av(1274, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_26/))

      allocate(vertices(1275)%branch(0:0))
      call av(1275, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_30/))

      allocate(vertices(1276)%branch(0:0))
      call av(1276, 0, 17, 1, 0, FVFa0, (/0, 1/), (/nGC_1, nGC_1/))

      allocate(vertices(1277)%branch(0:0))
      call av(1277, 0, 8, 1, 0, VFaF1, (/0, 1/), (/nGC_56/))

      allocate(vertices(1278)%branch(0:0))
      call av(1278, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_48/))

      allocate(vertices(1279)%branch(0:0))
      call av(1279, 0, 8, 1, 0, VSS0, (/0, 1/), (/nGC_425/))

      allocate(vertices(1280)%branch(0:0))
      call av(1280, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_9/))

      allocate(vertices(1281)%branch(0:0))
      call av(1281, 0, 21, 1, 0, SFaF0, (/0, 1/), (/nGC_94, nGC_94/))

      allocate(vertices(1282)%branch(0:0))
      call av(1282, 0, 20, 1, 0, SFFa0, (/0, 1/), (/nGC_108, nGC_108/))

      allocate(vertices(1283)%branch(0:0))
      call av(1283, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_17/))

      allocate(vertices(1284)%branch(0:0))
      call av(1284, 0, 10, 1, 0, FFaV1, (/0, 1/), (/nGC_2, nGC_2/))

      allocate(vertices(1285)%branch(0:0))
      call av(1285, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_17/))

      allocate(vertices(1286)%branch(0:0))
      call av(1286, 0, 20, 1, 0, SFFa0, (/0, 1/), (/nGC_106, nGC_107/))

      allocate(vertices(1287)%branch(0:0))
      call av(1287, 0, 20, 1, 0, SFFa0, (/0, 1/), (/nGC_110, nGC_80/))

      allocate(vertices(1288)%branch(0:0))
      call av(1288, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_38/))

      allocate(vertices(1289)%branch(0:0))
      call av(1289, 0, 18, 1, 0, FaFV0, (/0, 1/), (/nGC_54, nGC_51/))

      allocate(vertices(1290)%branch(0:0))
      call av(1290, 0, 8, 1, 0, UaUS0, (/0, 1/), (/nGC_45/))

      allocate(vertices(1291)%branch(0:0))
      call av(1291, 0, 8, 1, 0, SFFa2, (/0, 1/), (/nGC_95/))

      allocate(vertices(1292)%branch(0:0))
      call av(1292, 0, 17, 1, 0, FVFa1, (/0, 1/), (/nGC_33/))

      allocate(vertices(1293)%branch(0:0))
      call av(1293, 0, 8, 1, 0, FaVF1, (/0, 1/), (/nGC_56/))

      allocate(vertices(1294)%branch(0:0))
      call av(1294, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_18/))

      allocate(vertices(1295)%branch(0:0))
      call av(1295, 0, 17, 1, 0, FSFa0, (/0, 1/), (/nGC_83, nGC_83/))

      allocate(vertices(1296)%branch(0:0))
      call av(1296, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_19/))

      allocate(vertices(1297)%branch(0:0))
      call av(1297, 0, 8, 1, 0, VUaU0, (/0, 1/), (/nGC_419/))

      allocate(vertices(1298)%branch(0:0))
      call av(1298, 0, 8, 1, 0, FaFV0, (/0, 1/), (/nGC_55, nGC_52/))

      allocate(vertices(1299)%branch(0:0))
      call av(1299, 0, 19, 1, 0, FaSF0, (/0, 1/), (/nGC_105, nGC_85/))

      allocate(vertices(1300)%branch(0:0))
      call av(1300, 0, 21, 1, 0, VFaF0, (/0, 1/), (/nGC_53, nGC_50/))

      allocate(vertices(1301)%branch(0:0))
      call av(1301, 0, 8, 1, 0, UaUV0, (/0, 1/), (/nGC_423/))

      allocate(vertices(1302)%branch(0:0))
      call av(1302, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_17/))

      allocate(vertices(1303)%branch(0:0))
      call av(1303, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_19/))

      allocate(vertices(1304)%branch(0:0))
      call av(1304, 0, 8, 1, 0, UaUS0, (/0, 1/), (/nGC_44/))

      allocate(vertices(1305)%branch(0:0))
      call av(1305, 0, 17, 1, 0, FSFa0, (/0, 1/), (/nGC_114, nGC_114/))

      allocate(vertices(1306)%branch(0:0))
      call av(1306, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_66/))

      allocate(vertices(1307)%branch(0:1))
      call av(1307, 0, 11, 2, 0, FFaV1, (/1, 0/), (/nGC_11, nGC_11/))

      call av(1307, 1, 12, 3, 0, FFaV1, (/1, 0/), (/nGC_11, nGC_11/))

      allocate(vertices(1308)%branch(0:0))
      call av(1308, 0, 8, 1, 0, SFaF0, (/0, 1/), (/nGC_119, nGC_119/))

      allocate(vertices(1309)%branch(0:0))
      call av(1309, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_76/))

      allocate(vertices(1310)%branch(0:1))
      call av(1310, 0, 27, 3, 0, FaFV0, (/1, 0/), (/nGC_11, nGC_11/))

      call av(1310, 1, 26, 2, 0, FaFV0, (/1, 0/), (/nGC_11, nGC_11/))

      allocate(vertices(1311)%branch(0:0))
      call av(1311, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_40/))

      allocate(vertices(1312)%branch(0:0))
      call av(1312, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_9/))

      allocate(vertices(1313)%branch(0:0))
      call av(1313, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_9/))

      allocate(vertices(1314)%branch(0:0))
      call av(1314, 0, 21, 1, 0, SFaF0, (/0, 1/), (/nGC_93, nGC_93/))

      allocate(vertices(1315)%branch(0:0))
      call av(1315, 0, 8, 1, 0, FaVF0, (/0, 1/), (/nGC_4, nGC_4/))

      allocate(vertices(1316)%branch(0:0))
      call av(1316, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_18/))

      allocate(vertices(1317)%branch(0:0))
      call av(1317, 0, 8, 1, 0, FaFV1, (/0, 1/), (/nGC_56/))

      allocate(vertices(1318)%branch(0:0))
      call av(1318, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_63/))

      allocate(vertices(1319)%branch(0:0))
      call av(1319, 0, 17, 1, 0, FSFa0, (/0, 1/), (/nGC_124, nGC_124/))

      allocate(vertices(1320)%branch(0:0))
      call av(1320, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_8/))

      allocate(vertices(1321)%branch(0:0))
      call av(1321, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_9/))

      allocate(vertices(1322)%branch(0:0))
      call av(1322, 0, 8, 1, 0, VUUa0, (/0, 1/), (/nGC_433/))

      allocate(vertices(1323)%branch(0:0))
      call av(1323, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_9/))

      allocate(vertices(1324)%branch(0:0))
      call av(1324, 0, 19, 1, 0, FaSF0, (/0, 1/), (/nGC_89, nGC_89/))

      allocate(vertices(1325)%branch(0:0))
      call av(1325, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_39/))

      allocate(vertices(1326)%branch(0:0))
      call av(1326, 0, 8, 1, 0, SFaF0, (/0, 1/), (/nGC_96, nGC_97/))

      allocate(vertices(1327)%branch(0:0))
      call av(1327, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_20/))

      allocate(vertices(1328)%branch(0:1))
      call av(1328, 0, 22, 2, 0, FVFa0, (/1, 0/), (/nGC_11, nGC_11/))

      call av(1328, 1, 23, 3, 0, FVFa0, (/1, 0/), (/nGC_11, nGC_11/))

      allocate(vertices(1329)%branch(0:0))
      call av(1329, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_427, nGC_41, nGC_427/))

      allocate(vertices(1330)%branch(0:0))
      call av(1330, 0, 10, 1, 0, FFaV1, (/0, 1/), (/nGC_53, nGC_50/))

      allocate(vertices(1331)%branch(0:0))
      call av(1331, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_40/))

      allocate(vertices(1332)%branch(0:0))
      call av(1332, 0, 8, 1, 0, VSS0, (/0, 1/), (/nGC_34/))

      allocate(vertices(1333)%branch(0:0))
      call av(1333, 0, 8, 1, 0, FaVF1, (/0, 1/), (/nGC_33/))

      allocate(vertices(1334)%branch(0:0))
      call av(1334, 0, 8, 1, 0, SUUa0, (/0, 1/), (/nGC_43/))

      allocate(vertices(1335)%branch(0:0))
      call av(1335, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_63/))

      allocate(vertices(1336)%branch(0:0))
      call av(1336, 0, 21, 1, 0, VFaF1, (/0, 1/), (/nGC_33/))

      allocate(vertices(1337)%branch(0:0))
      call av(1337, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_64/))

      allocate(vertices(1338)%branch(0:0))
      call av(1338, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_18/))

      allocate(vertices(1339)%branch(0:0))
      call av(1339, 0, 8, 1, 0, SUUa0, (/0, 1/), (/nGC_49/))

      allocate(vertices(1340)%branch(0:0))
      call av(1340, 0, 21, 1, 0, VFaF0, (/0, 1/), (/nGC_53, nGC_50/))

      allocate(vertices(1341)%branch(0:0))
      call av(1341, 0, 21, 1, 0, VFaF1, (/0, 1/), (/nGC_33/))

      allocate(vertices(1342)%branch(0:0))
      call av(1342, 0, 8, 1, 0, UaUS0, (/0, 1/), (/nGC_60/))

      allocate(vertices(1343)%branch(0:0))
      call av(1343, 0, 21, 1, 0, SFaF0, (/0, 1/), (/nGC_112, nGC_111/))

      allocate(vertices(1344)%branch(0:0))
      call av(1344, 0, 17, 1, 0, FSFa0, (/0, 1/), (/nGC_113, nGC_113/))

      allocate(vertices(1345)%branch(0:0))
      call av(1345, 0, 8, 1, 0, FVFa1, (/0, 1/), (/nGC_33/))

      allocate(vertices(1346)%branch(0:0))
      call av(1346, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_28/))

      allocate(vertices(1347)%branch(0:0))
      call av(1347, 0, 8, 1, 0, VSS0, (/0, 1/), (/nGC_35/))

      allocate(vertices(1348)%branch(0:0))
      call av(1348, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_75/))

      allocate(vertices(1349)%branch(0:0))
      call av(1349, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_48/))

      allocate(vertices(1350)%branch(0:0))
      call av(1350, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_7/))

      allocate(vertices(1351)%branch(0:0))
      call av(1351, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_17/))

      allocate(vertices(1352)%branch(0:0))
      call av(1352, 0, 8, 1, 0, VUUa0, (/0, 1/), (/nGC_419/))

      allocate(vertices(1353)%branch(0:0))
      call av(1353, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_29, nGC_29, nGC_437/))

      allocate(vertices(1354)%branch(0:0))
      call av(1354, 0, 8, 1, 0, UaUS0, (/0, 1/), (/nGC_49/))

      allocate(vertices(1355)%branch(0:0))
      call av(1355, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_39/))

      allocate(vertices(1356)%branch(0:0))
      call av(1356, 0, 8, 1, 0, UVUa0, (/0, 1/), (/nGC_419/))

      allocate(vertices(1357)%branch(0:0))
      call av(1357, 0, 8, 1, 0, SUaU0, (/0, 1/), (/nGC_44/))

      allocate(vertices(1358)%branch(0:0))
      call av(1358, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_427, nGC_427, nGC_41/))

      allocate(vertices(1359)%branch(0:0))
      call av(1359, 0, 8, 1, 0, SVS0, (/0, 1/), (/nGC_55/))

      allocate(vertices(1360)%branch(0:0))
      call av(1360, 0, 8, 1, 0, VSV0, (/0, 1/), (/nGC_71/))

      allocate(vertices(1361)%branch(0:0))
      call av(1361, 0, 8, 1, 0, FFaV1, (/0, 1/), (/nGC_4, nGC_4/))

      allocate(vertices(1362)%branch(0:0))
      call av(1362, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_26/))

      allocate(vertices(1363)%branch(0:0))
      call av(1363, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_48/))

      allocate(vertices(1364)%branch(0:0))
      call av(1364, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_29, nGC_437, nGC_29/))

      allocate(vertices(1365)%branch(0:0))
      call av(1365, 0, 17, 1, 0, FSFa0, (/0, 1/), (/nGC_105, nGC_85/))

      allocate(vertices(1366)%branch(0:0))
      call av(1366, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_435, nGC_5, nGC_5/))

      allocate(vertices(1367)%branch(0:0))
      call av(1367, 0, 19, 1, 0, FaVF0, (/0, 1/), (/nGC_54, nGC_51/))

      allocate(vertices(1368)%branch(0:0))
      call av(1368, 0, 8, 1, 0, SSV0, (/0, 1/), (/nGC_61/))

      allocate(vertices(1369)%branch(0:0))
      call av(1369, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_435, nGC_5, nGC_5/))

      allocate(vertices(1370)%branch(0:0))
      call av(1370, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_9/))

      allocate(vertices(1371)%branch(0:0))
      call av(1371, 0, 8, 1, 0, VSS0, (/0, 1/), (/nGC_47/))

      allocate(vertices(1372)%branch(0:0))
      call av(1372, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_67/))

      allocate(vertices(1373)%branch(0:0))
      call av(1373, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_26/))

      allocate(vertices(1374)%branch(0:0))
      call av(1374, 0, 21, 1, 0, VFaF1, (/0, 1/), (/nGC_33/))

      allocate(vertices(1375)%branch(0:0))
      call av(1375, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_48/))

      allocate(vertices(1376)%branch(0:0))
      call av(1376, 0, 8, 1, 0, UaSU0, (/0, 1/), (/nGC_60/))

      allocate(vertices(1377)%branch(0:0))
      call av(1377, 0, 8, 1, 0, VFFa1, (/0, 1/), (/nGC_33/))

      allocate(vertices(1378)%branch(0:0))
      call av(1378, 0, 8, 1, 0, UUaS0, (/0, 1/), (/nGC_16/))

      allocate(vertices(1379)%branch(0:0))
      call av(1379, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_9/))

      allocate(vertices(1380)%branch(0:0))
      call av(1380, 0, 18, 1, 0, FaFS0, (/0, 1/), (/nGC_90, nGC_120/))

      allocate(vertices(1381)%branch(0:0))
      call av(1381, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_19/))

      allocate(vertices(1382)%branch(0:0))
      call av(1382, 0, 21, 1, 0, VFaF0, (/0, 1/), (/nGC_2, nGC_2/))

      allocate(vertices(0)%branchCT(0:0))
      call avCT(0, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1486/))

      allocate(vertices(7)%branchCT(0:1))
      call avCT(7, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_1487, nGC_1487/))

      call avCT(7, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_1488, nGC_1488/))

      allocate(vertices(2)%branchCT(0:0))
      call avCT(2, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1489/))

      allocate(vertices(3)%branchCT(0:0))
      call avCT(3, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1490, nGC_1491/))

      allocate(vertices(4)%branchCT(0:0))
      call avCT(4, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1492/))

      allocate(vertices(5)%branchCT(0:0))
      call avCT(5, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1493/))

      allocate(vertices(6)%branchCT(0:3))
      call avCT(6, 0, 30, 2, 0, VFaF0, (/3, 0/), (/nGC_1494, nGC_1496/))

      call avCT(6, 1, 30, 2, 0, VFaF0, (/1, 2/), (/nGC_1495, nGC_1497/))

      call avCT(6, 2, 31, 3, 0, VFaF0, (/3, 0/), (/nGC_1494, nGC_1496/))

      call avCT(6, 3, 31, 3, 0, VFaF0, (/1, 2/), (/nGC_1495, nGC_1497/))

      allocate(vertices(1)%branchCT(0:0))
      call avCT(1, 0, 8, 1, 0, SUaU0, (/0, 3/), (/nGC_1498/))

      allocate(vertices(901)%branchCT(0:0))
      call avCT(901, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1499/))

      allocate(vertices(39)%branchCT(0:0))
      call avCT(39, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1500/))

      allocate(vertices(10)%branchCT(0:0))
      call avCT(10, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1501/))

      allocate(vertices(11)%branchCT(0:1))
      call avCT(11, 0, 17, 1, 0, FVFa0, (/0, 3/), (/nGC_1502, nGC_1504/))

      call avCT(11, 1, 17, 1, 0, FVFa0, (/2, 1/), (/nGC_1503, nGC_1505/))

      allocate(vertices(12)%branchCT(0:0))
      call avCT(12, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1506/))

      allocate(vertices(13)%branchCT(0:0))
      call avCT(13, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1507/))

      allocate(vertices(14)%branchCT(0:0))
      call avCT(14, 0, 8, 1, 0, VUaU0, (/0, 3/), (/nGC_1508/))

      allocate(vertices(15)%branchCT(0:0))
      call avCT(15, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1493/))

      allocate(vertices(1383)%branchCT(0:0))
      call avCT(1383, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1509/))

      allocate(vertices(1291)%branchCT(0:0))
      call avCT(1291, 0, 8, 1, 0, SFFa2, (/0, 3/), (/nGC_1510/))

      allocate(vertices(17)%branchCT(0:0))
      call avCT(17, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1511/))

      allocate(vertices(18)%branchCT(0:1))
      call avCT(18, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_1512, nGC_1512/))

      call avCT(18, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_1513, nGC_1513/))

      allocate(vertices(785)%branchCT(0:0))
      call avCT(785, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1493/))

      allocate(vertices(20)%branchCT(0:1))
      call avCT(20, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1514, nGC_1516/))

      call avCT(20, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1515, nGC_1517/))

      allocate(vertices(22)%branchCT(0:3))
      call avCT(22, 0, 24, 2, 0, FaVF0, (/1, 2/), (/nGC_1519, nGC_1521/))

      call avCT(22, 1, 24, 2, 0, FaVF0, (/3, 0/), (/nGC_1518, nGC_1520/))

      call avCT(22, 2, 25, 3, 0, FaVF0, (/1, 2/), (/nGC_1519, nGC_1521/))

      call avCT(22, 3, 25, 3, 0, FaVF0, (/3, 0/), (/nGC_1518, nGC_1520/))

      allocate(vertices(23)%branchCT(0:1))
      call avCT(23, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1522, nGC_1524/))

      call avCT(23, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1523, nGC_1525/))

      allocate(vertices(24)%branchCT(0:0))
      call avCT(24, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1526/))

      allocate(vertices(25)%branchCT(0:0))
      call avCT(25, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1527/))

      allocate(vertices(26)%branchCT(0:0))
      call avCT(26, 0, 8, 1, 0, UVUa0, (/0, 3/), (/nGC_1528/))

      allocate(vertices(27)%branchCT(0:0))
      call avCT(27, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1526/))

      allocate(vertices(903)%branchCT(0:1))
      call avCT(903, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1516, nGC_1514/))

      call avCT(903, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1517, nGC_1515/))

      allocate(vertices(29)%branchCT(0:0))
      call avCT(29, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1527/))

      allocate(vertices(30)%branchCT(0:0))
      call avCT(30, 0, 8, 1, 0, VUUa0, (/0, 3/), (/nGC_1529/))

      allocate(vertices(31)%branchCT(0:0))
      call avCT(31, 0, 8, 1, 0, UVUa0, (/0, 3/), (/nGC_1530/))

      allocate(vertices(32)%branchCT(0:0))
      call avCT(32, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1531/))

      allocate(vertices(33)%branchCT(0:1))
      call avCT(33, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1532, nGC_1534/))

      call avCT(33, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1533, nGC_1535/))

      allocate(vertices(223)%branchCT(0:0))
      call avCT(223, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1536/))

      allocate(vertices(35)%branchCT(0:1))
      call avCT(35, 0, 21, 1, 0, VFaF0, (/0, 3/), (/nGC_1537, nGC_1539/))

      call avCT(35, 1, 21, 1, 0, VFaF0, (/2, 1/), (/nGC_1538, nGC_1540/))

      allocate(vertices(36)%branchCT(0:0))
      call avCT(36, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_1541/))

      allocate(vertices(37)%branchCT(0:1))
      call avCT(37, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1542, nGC_1542/))

      call avCT(37, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1543, nGC_1543/))

      allocate(vertices(38)%branchCT(0:0))
      call avCT(38, 0, 8, 1, 0, UUaS0, (/0, 3/), (/nGC_1396/))

      allocate(vertices(9)%branchCT(0:0))
      call avCT(9, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1544/))

      allocate(vertices(1184)%branchCT(0:0))
      call avCT(1184, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_1545/))

      allocate(vertices(41)%branchCT(0:0))
      call avCT(41, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1546/))

      allocate(vertices(1384)%branchCT(0:0))
      call avCT(1384, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1547/))

      allocate(vertices(216)%branchCT(0:0))
      call avCT(216, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1548/))

      allocate(vertices(44)%branchCT(0:0))
      call avCT(44, 0, 8, 1, 0, SUaU0, (/0, 3/), (/nGC_1392/))

      allocate(vertices(1120)%branchCT(0:0))
      call avCT(1120, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1500/))

      allocate(vertices(726)%branchCT(0:1))
      call avCT(726, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1549, nGC_1551/))

      call avCT(726, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1550, nGC_1552/))

      allocate(vertices(47)%branchCT(0:0))
      call avCT(47, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1527/))

      allocate(vertices(558)%branchCT(0:0))
      call avCT(558, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1493/))

      allocate(vertices(48)%branchCT(0:0))
      call avCT(48, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_1553/))

      allocate(vertices(49)%branchCT(0:0))
      call avCT(49, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1546/))

      allocate(vertices(50)%branchCT(0:0))
      call avCT(50, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1500/))

      allocate(vertices(51)%branchCT(0:0))
      call avCT(51, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1554, nGC_1555/))

      allocate(vertices(52)%branchCT(0:0))
      call avCT(52, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1489/))

      allocate(vertices(53)%branchCT(0:1))
      call avCT(53, 0, 18, 1, 0, FaFV0, (/0, 3/), (/nGC_1556, nGC_1558/))

      call avCT(53, 1, 18, 1, 0, FaFV0, (/2, 1/), (/nGC_1557, nGC_1559/))

      allocate(vertices(54)%branchCT(0:0))
      call avCT(54, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_1560/))

      allocate(vertices(55)%branchCT(0:0))
      call avCT(55, 0, 8, 1, 0, UaUV0, (/0, 3/), (/nGC_1528/))

      allocate(vertices(56)%branchCT(0:0))
      call avCT(56, 0, 8, 1, 0, SFaF1, (/0, 3/), (/nGC_1561/))

      allocate(vertices(57)%branchCT(0:0))
      call avCT(57, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1492/))

      allocate(vertices(58)%branchCT(0:0))
      call avCT(58, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1536/))

      allocate(vertices(59)%branchCT(0:0))
      call avCT(59, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1258/))

      allocate(vertices(1385)%branchCT(0:0))
      call avCT(1385, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1562/))

      allocate(vertices(320)%branchCT(0:1))
      call avCT(320, 0, 21, 1, 0, VFaF0, (/0, 3/), (/nGC_1549, nGC_1551/))

      call avCT(320, 1, 21, 1, 0, VFaF0, (/2, 1/), (/nGC_1550, nGC_1552/))

      allocate(vertices(61)%branchCT(0:0))
      call avCT(61, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1563/))

      allocate(vertices(62)%branchCT(0:0))
      call avCT(62, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1564/))

      allocate(vertices(63)%branchCT(0:0))
      call avCT(63, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1527/))

      allocate(vertices(64)%branchCT(0:1))
      call avCT(64, 0, 19, 1, 0, FaVF0, (/0, 3/), (/nGC_1565, nGC_1567/))

      call avCT(64, 1, 19, 1, 0, FaVF0, (/2, 1/), (/nGC_1566, nGC_1568/))

      allocate(vertices(346)%branchCT(0:0))
      call avCT(346, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1569/))

      allocate(vertices(67)%branchCT(0:0))
      call avCT(67, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1570/))

      allocate(vertices(68)%branchCT(0:0))
      call avCT(68, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1526/))

      allocate(vertices(69)%branchCT(0:0))
      call avCT(69, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1571, nGC_1571, nGC_1572&
      /))

      allocate(vertices(70)%branchCT(0:0))
      call avCT(70, 0, 8, 1, 0, UaVU0, (/0, 3/), (/nGC_1530/))

      allocate(vertices(392)%branchCT(0:0))
      call avCT(392, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1527/))

      allocate(vertices(766)%branchCT(0:0))
      call avCT(766, 0, 8, 1, 0, VUaU0, (/0, 3/), (/nGC_1529/))

      allocate(vertices(73)%branchCT(0:0))
      call avCT(73, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1573/))

      allocate(vertices(1386)%branchCT(0:0))
      call avCT(1386, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1562/))

      allocate(vertices(75)%branchCT(0:3))
      call avCT(75, 0, 27, 3, 0, FaFV0, (/1, 2/), (/nGC_1575, nGC_1577/))

      call avCT(75, 1, 27, 3, 0, FaFV0, (/3, 0/), (/nGC_1574, nGC_1576/))

      call avCT(75, 2, 26, 2, 0, FaFV0, (/1, 2/), (/nGC_1575, nGC_1577/))

      call avCT(75, 3, 26, 2, 0, FaFV0, (/3, 0/), (/nGC_1574, nGC_1576/))

      allocate(vertices(418)%branchCT(0:0))
      call avCT(418, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1531/))

      allocate(vertices(77)%branchCT(0:0))
      call avCT(77, 0, 8, 1, 0, UaUV0, (/0, 3/), (/nGC_1578/))

      allocate(vertices(572)%branchCT(0:0))
      call avCT(572, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1579/))

      allocate(vertices(78)%branchCT(0:0))
      call avCT(78, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_1510/))

      allocate(vertices(79)%branchCT(0:1))
      call avCT(79, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1512, nGC_1512/))

      call avCT(79, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1513, nGC_1513/))

      allocate(vertices(80)%branchCT(0:0))
      call avCT(80, 0, 8, 1, 0, VUaU0, (/0, 3/), (/nGC_1580/))

      allocate(vertices(81)%branchCT(0:0))
      call avCT(81, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1526/))

      allocate(vertices(82)%branchCT(0:0))
      call avCT(82, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1531/))

      allocate(vertices(83)%branchCT(0:0))
      call avCT(83, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1581, nGC_1582/))

      allocate(vertices(84)%branchCT(0:0))
      call avCT(84, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1526/))

      allocate(vertices(85)%branchCT(0:1))
      call avCT(85, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1583/))

      call avCT(85, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1584/))

      allocate(vertices(86)%branchCT(0:0))
      call avCT(86, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1585/))

      allocate(vertices(87)%branchCT(0:0))
      call avCT(87, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1586/))

      allocate(vertices(88)%branchCT(0:0))
      call avCT(88, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1493/))

      allocate(vertices(473)%branchCT(0:0))
      call avCT(473, 0, 8, 1, 0, UaVU0, (/0, 3/), (/nGC_1528/))

      allocate(vertices(90)%branchCT(0:0))
      call avCT(90, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_1560/))

      allocate(vertices(1387)%branchCT(0:0))
      call avCT(1387, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1562/))

      allocate(vertices(92)%branchCT(0:0))
      call avCT(92, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1527/))

      allocate(vertices(93)%branchCT(0:3))
      call avCT(93, 0, 22, 2, 0, FVFa0, (/3, 0/), (/nGC_1494, nGC_1496/))

      call avCT(93, 1, 22, 2, 0, FVFa0, (/1, 2/), (/nGC_1495, nGC_1497/))

      call avCT(93, 2, 23, 3, 0, FVFa0, (/3, 0/), (/nGC_1494, nGC_1496/))

      call avCT(93, 3, 23, 3, 0, FVFa0, (/1, 2/), (/nGC_1495, nGC_1497/))

      allocate(vertices(1322)%branchCT(0:0))
      call avCT(1322, 0, 8, 1, 0, VUUa0, (/0, 3/), (/nGC_1580/))

      allocate(vertices(94)%branchCT(0:0))
      call avCT(94, 0, 8, 1, 0, UaVU0, (/0, 3/), (/nGC_1508/))

      allocate(vertices(462)%branchCT(0:0))
      call avCT(462, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1492/))

      allocate(vertices(947)%branchCT(0:1))
      call avCT(947, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1514, nGC_1516/))

      call avCT(947, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1515, nGC_1517/))

      allocate(vertices(1162)%branchCT(0:1))
      call avCT(1162, 0, 20, 1, 0, VFFa0, (/0, 3/), (/nGC_1587, nGC_1589/))

      call avCT(1162, 1, 20, 1, 0, VFFa0, (/2, 1/), (/nGC_1588, nGC_1590/))

      allocate(vertices(97)%branchCT(0:0))
      call avCT(97, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1591/))

      allocate(vertices(98)%branchCT(0:0))
      call avCT(98, 0, 8, 1, 0, UUaV0, (/0, 3/), (/nGC_1580/))

      allocate(vertices(99)%branchCT(0:0))
      call avCT(99, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1592/))

      allocate(vertices(100)%branchCT(0:0))
      call avCT(100, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1546/))

      allocate(vertices(902)%branchCT(0:0))
      call avCT(902, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1527/))

      allocate(vertices(1171)%branchCT(0:0))
      call avCT(1171, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1593/))

      allocate(vertices(101)%branchCT(0:0))
      call avCT(101, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1569/))

      allocate(vertices(102)%branchCT(0:0))
      call avCT(102, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1486/))

      allocate(vertices(103)%branchCT(0:0))
      call avCT(103, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1563/))

      allocate(vertices(104)%branchCT(0:0))
      call avCT(104, 0, 8, 1, 0, UUaV0, (/0, 3/), (/nGC_1594/))

      allocate(vertices(105)%branchCT(0:0))
      call avCT(105, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1527/))

      allocate(vertices(106)%branchCT(0:0))
      call avCT(106, 0, 8, 1, 0, SUUa0, (/0, 3/), (/nGC_1595/))

      allocate(vertices(107)%branchCT(0:0))
      call avCT(107, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1489/))

      allocate(vertices(108)%branchCT(0:1))
      call avCT(108, 0, 19, 1, 0, FaVF0, (/0, 3/), (/nGC_1596, nGC_1598/))

      call avCT(108, 1, 19, 1, 0, FaVF0, (/2, 1/), (/nGC_1597, nGC_1599/))

      allocate(vertices(110)%branchCT(0:1))
      call avCT(110, 0, 21, 1, 0, VFaF0, (/0, 3/), (/nGC_1565, nGC_1567/))

      call avCT(110, 1, 21, 1, 0, VFaF0, (/2, 1/), (/nGC_1566, nGC_1568/))

      allocate(vertices(111)%branchCT(0:0))
      call avCT(111, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1492/))

      allocate(vertices(112)%branchCT(0:0))
      call avCT(112, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1600/))

      allocate(vertices(113)%branchCT(0:0))
      call avCT(113, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1489/))

      allocate(vertices(114)%branchCT(0:0))
      call avCT(114, 0, 8, 1, 0, VUUa0, (/0, 3/), (/nGC_1529/))

      allocate(vertices(1068)%branchCT(0:0))
      call avCT(1068, 0, 8, 1, 0, SUaU0, (/0, 3/), (/nGC_1601/))

      allocate(vertices(115)%branchCT(0:0))
      call avCT(115, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1527/))

      allocate(vertices(116)%branchCT(0:0))
      call avCT(116, 0, 8, 1, 0, SUUa0, (/0, 3/), (/nGC_1392/))

      allocate(vertices(117)%branchCT(0:1))
      call avCT(117, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_1602, nGC_1602/))

      call avCT(117, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_1603, nGC_1603/))

      allocate(vertices(118)%branchCT(0:0))
      call avCT(118, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1585/))

      allocate(vertices(120)%branchCT(0:1))
      call avCT(120, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1487, nGC_1487/))

      call avCT(120, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1488, nGC_1488/))

      allocate(vertices(919)%branchCT(0:0))
      call avCT(919, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1493/))

      allocate(vertices(1388)%branchCT(0:1))
      call avCT(1388, 0, 13, 1, 0, FFa0, (/0, 2/), (/nGC_1604, nGC_1606,       &
      nGC_1606, nGC_1608/))

      call avCT(1388, 1, 13, 1, 0, FFa0, (/2, 0/), (/nGC_1605, nGC_1607,       &
      nGC_1607, nGC_1609/))

      allocate(vertices(122)%branchCT(0:0))
      call avCT(122, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1610/))

      allocate(vertices(920)%branchCT(0:0))
      call avCT(920, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1611, nGC_1612/))

      allocate(vertices(124)%branchCT(0:0))
      call avCT(124, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1613/))

      allocate(vertices(125)%branchCT(0:0))
      call avCT(125, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1526/))

      allocate(vertices(126)%branchCT(0:0))
      call avCT(126, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1531/))

      allocate(vertices(127)%branchCT(0:0))
      call avCT(127, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1614/))

      allocate(vertices(128)%branchCT(0:0))
      call avCT(128, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1486/))

      allocate(vertices(129)%branchCT(0:0))
      call avCT(129, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1615/))

      allocate(vertices(130)%branchCT(0:0))
      call avCT(130, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1545/))

      allocate(vertices(234)%branchCT(0:1))
      call avCT(234, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1602, nGC_1602/))

      call avCT(234, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1603, nGC_1603/))

      allocate(vertices(1389)%branchCT(0:0))
      call avCT(1389, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1616/))

      allocate(vertices(131)%branchCT(0:0))
      call avCT(131, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1591/))

      allocate(vertices(132)%branchCT(0:0))
      call avCT(132, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1617/))

      allocate(vertices(133)%branchCT(0:0))
      call avCT(133, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1257/))

      allocate(vertices(134)%branchCT(0:1))
      call avCT(134, 0, 17, 1, 0, FVFa1, (/0, 3/), (/nGC_1618/))

      call avCT(134, 1, 17, 1, 0, FVFa1, (/2, 1/), (/nGC_1619/))

      allocate(vertices(135)%branchCT(0:0))
      call avCT(135, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1593/))

      allocate(vertices(136)%branchCT(0:0))
      call avCT(136, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_1614/))

      allocate(vertices(1390)%branchCT(0:1))
      call avCT(1390, 0, 13, 1, 0, FFa0, (/0, 2/), (/nGC_1620, nGC_1622,       &
      nGC_1622, nGC_1624/))

      call avCT(1390, 1, 13, 1, 0, FFa0, (/2, 0/), (/nGC_1621, nGC_1623,       &
      nGC_1623, nGC_1625/))

      allocate(vertices(1391)%branchCT(0:0))
      call avCT(1391, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_1626/))

      allocate(vertices(91)%branchCT(0:0))
      call avCT(91, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1492/))

      allocate(vertices(138)%branchCT(0:0))
      call avCT(138, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1627/))

      allocate(vertices(139)%branchCT(0:0))
      call avCT(139, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1617/))

      allocate(vertices(140)%branchCT(0:0))
      call avCT(140, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_1628, nGC_1628/))

      allocate(vertices(1148)%branchCT(0:0))
      call avCT(1148, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_1629, nGC_1630/))

      allocate(vertices(142)%branchCT(0:0))
      call avCT(142, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1631, nGC_1631/))

      allocate(vertices(143)%branchCT(0:0))
      call avCT(143, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1572, nGC_1571,        &
      nGC_1571/))

      allocate(vertices(1392)%branchCT(0:1))
      call avCT(1392, 0, 13, 1, 0, FFa0, (/0, 2/), (/nGC_1632, nGC_1634,       &
      nGC_1634, nGC_1636/))

      call avCT(1392, 1, 13, 1, 0, FFa0, (/2, 0/), (/nGC_1633, nGC_1635,       &
      nGC_1635, nGC_1637/))

      allocate(vertices(144)%branchCT(0:0))
      call avCT(144, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1527/))

      allocate(vertices(145)%branchCT(0:0))
      call avCT(145, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1638/))

      allocate(vertices(962)%branchCT(0:0))
      call avCT(962, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1256/))

      allocate(vertices(758)%branchCT(0:0))
      call avCT(758, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1639/))

      allocate(vertices(856)%branchCT(0:0))
      call avCT(856, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1640/))

      allocate(vertices(147)%branchCT(0:1))
      call avCT(147, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1641, nGC_1641/))

      call avCT(147, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1642, nGC_1642/))

      allocate(vertices(148)%branchCT(0:1))
      call avCT(148, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1643, nGC_1645/))

      call avCT(148, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1644, nGC_1646/))

      allocate(vertices(149)%branchCT(0:0))
      call avCT(149, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_1614/))

      allocate(vertices(150)%branchCT(0:0))
      call avCT(150, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1593/))

      allocate(vertices(151)%branchCT(0:0))
      call avCT(151, 0, 8, 1, 0, UUaS0, (/0, 3/), (/nGC_1398/))

      allocate(vertices(152)%branchCT(0:0))
      call avCT(152, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1492/))

      allocate(vertices(153)%branchCT(0:1))
      call avCT(153, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_1647, nGC_1647/))

      call avCT(153, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_1648, nGC_1648/))

      allocate(vertices(1025)%branchCT(0:0))
      call avCT(1025, 0, 8, 1, 0, FaSF2, (/0, 3/), (/nGC_1510/))

      allocate(vertices(154)%branchCT(0:0))
      call avCT(154, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1554, nGC_1555/))

      allocate(vertices(155)%branchCT(0:0))
      call avCT(155, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1613/))

      allocate(vertices(156)%branchCT(0:0))
      call avCT(156, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1649/))

      allocate(vertices(157)%branchCT(0:1))
      call avCT(157, 0, 18, 1, 0, FaFV0, (/0, 3/), (/nGC_1502, nGC_1504/))

      call avCT(157, 1, 18, 1, 0, FaFV0, (/2, 1/), (/nGC_1503, nGC_1505/))

      allocate(vertices(1393)%branchCT(0:1))
      call avCT(1393, 0, 42, 1, 0, FaF0, (/0, 2/), (/nGC_1650, nGC_1652,       &
      nGC_1652, nGC_1654/))

      call avCT(1393, 1, 42, 1, 0, FaF0, (/2, 0/), (/nGC_1651, nGC_1653,       &
      nGC_1653, nGC_1655/))

      allocate(vertices(158)%branchCT(0:0))
      call avCT(158, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1492/))

      allocate(vertices(159)%branchCT(0:1))
      call avCT(159, 0, 17, 1, 0, FVFa0, (/0, 3/), (/nGC_1565, nGC_1567/))

      call avCT(159, 1, 17, 1, 0, FVFa0, (/2, 1/), (/nGC_1566, nGC_1568/))

      allocate(vertices(160)%branchCT(0:0))
      call avCT(160, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1591/))

      allocate(vertices(1152)%branchCT(0:0))
      call avCT(1152, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1493/))

      allocate(vertices(162)%branchCT(0:0))
      call avCT(162, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1656/))

      allocate(vertices(163)%branchCT(0:0))
      call avCT(163, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(164)%branchCT(0:0))
      call avCT(164, 0, 8, 1, 0, USUa0, (/0, 3/), (/nGC_1396/))

      allocate(vertices(683)%branchCT(0:0))
      call avCT(683, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1613/))

      allocate(vertices(165)%branchCT(0:0))
      call avCT(165, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1658, nGC_1659,        &
      nGC_1659/))

      allocate(vertices(166)%branchCT(0:0))
      call avCT(166, 0, 8, 1, 0, VUaU0, (/0, 3/), (/nGC_1530/))

      allocate(vertices(167)%branchCT(0:0))
      call avCT(167, 0, 8, 1, 0, SFaF1, (/0, 3/), (/nGC_1660/))

      allocate(vertices(1394)%branchCT(0:0))
      call avCT(1394, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1509/))

      allocate(vertices(168)%branchCT(0:0))
      call avCT(168, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1527/))

      allocate(vertices(169)%branchCT(0:0))
      call avCT(169, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1628, nGC_1628/))

      allocate(vertices(170)%branchCT(0:0))
      call avCT(170, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1489/))

      allocate(vertices(171)%branchCT(0:0))
      call avCT(171, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1545/))

      allocate(vertices(1395)%branchCT(0:0))
      call avCT(1395, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1509/))

      allocate(vertices(1020)%branchCT(0:0))
      call avCT(1020, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1591/))

      allocate(vertices(806)%branchCT(0:0))
      call avCT(806, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_1661/))

      allocate(vertices(175)%branchCT(0:0))
      call avCT(175, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1544/))

      allocate(vertices(176)%branchCT(0:0))
      call avCT(176, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_1553/))

      allocate(vertices(177)%branchCT(0:0))
      call avCT(177, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1570/))

      allocate(vertices(685)%branchCT(0:0))
      call avCT(685, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1511/))

      allocate(vertices(179)%branchCT(0:1))
      call avCT(179, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1662, nGC_1662/))

      call avCT(179, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1663, nGC_1663/))

      allocate(vertices(180)%branchCT(0:0))
      call avCT(180, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1664, nGC_1664/))

      allocate(vertices(181)%branchCT(0:0))
      call avCT(181, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_1545/))

      allocate(vertices(1396)%branchCT(0:0))
      call avCT(1396, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1509/))

      allocate(vertices(182)%branchCT(0:0))
      call avCT(182, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1546/))

      allocate(vertices(183)%branchCT(0:1))
      call avCT(183, 0, 34, 4, 0, UVUa0, (/3, 0/), (/nGC_1665/))

      call avCT(183, 1, 35, 5, 0, UVUa0, (/3, 0/), (/nGC_1665/))

      allocate(vertices(1108)%branchCT(0:0))
      call avCT(1108, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1527/))

      allocate(vertices(1397)%branchCT(0:0))
      call avCT(1397, 0, 14, 1, 0, VV0, (/0, 2/), (/nGC_1666, nGC_1667,        &
      nGC_1668/))

      allocate(vertices(187)%branchCT(0:1))
      call avCT(187, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1532, nGC_1534/))

      call avCT(187, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1533, nGC_1535/))

      allocate(vertices(188)%branchCT(0:0))
      call avCT(188, 0, 8, 1, 0, VUUa0, (/0, 3/), (/nGC_1508/))

      allocate(vertices(189)%branchCT(0:1))
      call avCT(189, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1516, nGC_1514/))

      call avCT(189, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1517, nGC_1515/))

      allocate(vertices(190)%branchCT(0:0))
      call avCT(190, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1669, nGC_1669,        &
      nGC_1670/))

      allocate(vertices(191)%branchCT(0:0))
      call avCT(191, 0, 8, 1, 0, USUa0, (/0, 3/), (/nGC_1396/))

      allocate(vertices(192)%branchCT(0:0))
      call avCT(192, 0, 8, 1, 0, UUaS0, (/0, 3/), (/nGC_1392/))

      allocate(vertices(193)%branchCT(0:0))
      call avCT(193, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1670, nGC_1669,        &
      nGC_1669/))

      allocate(vertices(194)%branchCT(0:0))
      call avCT(194, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1501/))

      allocate(vertices(195)%branchCT(0:0))
      call avCT(195, 0, 8, 1, 0, UaUV0, (/0, 3/), (/nGC_1529/))

      allocate(vertices(1000)%branchCT(0:0))
      call avCT(1000, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_1545/))

      allocate(vertices(197)%branchCT(0:0))
      call avCT(197, 0, 8, 1, 0, UaUV0, (/0, 3/), (/nGC_1529/))

      allocate(vertices(196)%branchCT(0:0))
      call avCT(196, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1500/))

      allocate(vertices(1238)%branchCT(0:0))
      call avCT(1238, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1671/))

    end subroutine fill_vertices_mdl2
end module vertices_info2
